/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* Copy the first part of user declarations.  */
#line 28 "conf_parser.y" /* yacc.c:339  */


#define YY_NO_UNPUT
#include <sys/types.h>
#include <string.h>

#include "config.h"
#include "stdinc.h"
#include "ircd.h"
#include "list.h"
#include "conf.h"
#include "conf_class.h"
#include "event.h"
#include "log.h"
#include "client.h"	/* for UMODE_ALL only */
#include "irc_string.h"
#include "memory.h"
#include "modules.h"
#include "s_serv.h"
#include "hostmask.h"
#include "send.h"
#include "listener.h"
#include "resv.h"
#include "numeric.h"
#include "s_user.h"
#include "motd.h"
#include "hook.h"
#include "ssl.h"

#include <openssl/rsa.h>
#include <openssl/bio.h>
#include <openssl/pem.h>
#include <openssl/dh.h>

#include "rsa.h"

int yylex(void);

static struct
{
  struct {
    dlink_list list;
  } mask,
    leaf,
    hub;

  struct {
    char buf[IRCD_BUFSIZE];
  } name,
    user,
    host,
    addr,
    bind,
    file,
    cert,
    ca,
    profile,
    rpass,
    spass,
    class,
    reason;

  struct {
    unsigned int value;
  } flags,
    modes,
    snomask_local,
    snomask_remote,
    size,
    type,
    port,
    aftype,
    ping_freq,
    max_perip,
    con_freq,
    min_idle,
    max_idle,
    max_total,
    max_global,
    max_local,
    soft_sendq,
    flood_burst,
    flood_limit,
    max_sendq,
    max_recvq,
    cidr_bitlen_ipv4,
    cidr_bitlen_ipv6,
    number_per_cidr;

  struct
  {
    struct alias_entry *alias;
    struct sslprofile *ssl;
    struct sslprofile_identity *identity;
    struct dnsbl_entry *dnsbl;
  } ptr;
} block_state;

static void
reset_block_state(void)
{
  dlink_node *ptr = NULL, *ptr_next = NULL;

  DLINK_FOREACH_SAFE(ptr, ptr_next, block_state.mask.list.head)
  {
    MyFree(ptr->data);
    dlinkDelete(ptr, &block_state.mask.list);
    free_dlink_node(ptr);
  }

  DLINK_FOREACH_SAFE(ptr, ptr_next, block_state.leaf.list.head)
  {
    MyFree(ptr->data);
    dlinkDelete(ptr, &block_state.leaf.list);
    free_dlink_node(ptr);
  }

  DLINK_FOREACH_SAFE(ptr, ptr_next, block_state.hub.list.head)
  {
    MyFree(ptr->data);
    dlinkDelete(ptr, &block_state.hub.list);
    free_dlink_node(ptr);
  }

  memset(&block_state, 0, sizeof(block_state));
}


#line 195 "conf_parser.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "y.tab.h".  */
#ifndef YY_YY_CONF_PARSER_H_INCLUDED
# define YY_YY_CONF_PARSER_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    ACCEPT_PASSWORD = 258,
    ACCOUNT_WHOIS = 259,
    ADMIN = 260,
    AFTYPE = 261,
    ANTI_NICK_FLOOD = 262,
    ANTI_SPAM_EXIT_MESSAGE_TIME = 263,
    AUTOCONN = 264,
    BYTES = 265,
    KBYTES = 266,
    MBYTES = 267,
    CA_FILE = 268,
    CALLER_ID_WAIT = 269,
    CAN_FLOOD = 270,
    CHANNEL = 271,
    CIDR_BITLEN_IPV4 = 272,
    CIDR_BITLEN_IPV6 = 273,
    CIPHER_LIST = 274,
    CLASS = 275,
    CLOAK_KEY1 = 276,
    CLOAK_KEY2 = 277,
    CLOAK_KEY3 = 278,
    CLOAK_WHOIS_ACTUALLY = 279,
    CONNECT = 280,
    CONNECTFREQ = 281,
    CYCLE_ON_HOST_CHANGE = 282,
    DEFAULT_FLOODCOUNT = 283,
    DEFAULT_SPLIT_SERVER_COUNT = 284,
    DEFAULT_SPLIT_USER_COUNT = 285,
    DEFER = 286,
    DENY = 287,
    DESCRIPTION = 288,
    DIE = 289,
    DISABLE_AUTH = 290,
    DISABLE_CHMODES = 291,
    DISABLE_FAKE_CHANNELS = 292,
    DISABLE_REMOTE_COMMANDS = 293,
    DNSBL = 294,
    DNSBL_EXEMPT = 295,
    DOTS_IN_IDENT = 296,
    DURATION = 297,
    EMAIL = 298,
    ENABLE_EXTBANS = 299,
    ENABLE_FORWARDING = 300,
    ENCRYPTED = 301,
    EXCEED_LIMIT = 302,
    EXEMPT = 303,
    FAILED_OPER_NOTICE = 304,
    FLATTEN_LINKS = 305,
    FLOOD_BURST = 306,
    FLOOD_LIMIT = 307,
    GECOS = 308,
    GENERAL = 309,
    GLINE = 310,
    GLINE_DURATION = 311,
    GLINE_ENABLE = 312,
    GLINE_EXEMPT = 313,
    GLINE_MIN_CIDR = 314,
    GLINE_MIN_CIDR6 = 315,
    GLINE_REQUEST_DURATION = 316,
    HAVENT_READ_CONF = 317,
    HIDDEN = 318,
    HIDDEN_NAME = 319,
    HIDE_IDLE_FROM_OPERS = 320,
    HIDE_SERVER_IPS = 321,
    HIDE_SERVERS = 322,
    HIDE_SERVICES = 323,
    HIDE_SPOOF_IPS = 324,
    HOST = 325,
    HTTP = 326,
    HUB = 327,
    HUB_MASK = 328,
    IDENTITY = 329,
    IGNORE_BOGUS_TS = 330,
    INVISIBLE_ON_CONNECT = 331,
    INVITE_THROTTLE = 332,
    IP = 333,
    IRCD_AUTH = 334,
    IRCD_FLAGS = 335,
    IRCD_SID = 336,
    JOIN_FLOOD_COUNT = 337,
    JOIN_FLOOD_TIME = 338,
    KILL = 339,
    KILL_CHASE_TIME_LIMIT = 340,
    KLINE = 341,
    KLINE_EXEMPT = 342,
    KLINE_REASON = 343,
    KNOCK_DELAY = 344,
    KNOCK_DELAY_CHANNEL = 345,
    LEAF_MASK = 346,
    T_LINK = 347,
    LINKS_DELAY = 348,
    LISTEN = 349,
    MASK = 350,
    MATCH = 351,
    MAX_ACCEPT = 352,
    MAX_BANS = 353,
    MAX_CHANS_PER_OPER = 354,
    MAX_CHANS_PER_USER = 355,
    MAX_GLOBAL = 356,
    MAX_IDLE = 357,
    MAX_LOCAL = 358,
    MAX_NICK_CHANGES = 359,
    MAX_NICK_LENGTH = 360,
    MAX_NICK_TIME = 361,
    MAX_NUMBER = 362,
    MAX_TARGETS = 363,
    MAX_TOPIC_LENGTH = 364,
    MAX_WATCH = 365,
    MIN_IDLE = 366,
    MIN_NONWILDCARD = 367,
    MIN_NONWILDCARD_SIMPLE = 368,
    MODULE = 369,
    MODULES = 370,
    MOTD = 371,
    NAME = 372,
    NEED_ACCOUNT = 373,
    NEED_IDENT = 374,
    NEED_PASSWORD = 375,
    NETWORK_DESC = 376,
    NETWORK_NAME = 377,
    NICK = 378,
    NICK_COLLIDE_REALHOST = 379,
    NO_CREATE_ON_SPLIT = 380,
    NO_JOIN_ON_SPLIT = 381,
    NO_OPER_FLOOD = 382,
    NO_TILDE = 383,
    NUMBER = 384,
    NUMBER_PER_CIDR = 385,
    NUMBER_PER_IP = 386,
    OPER_ONLY = 387,
    OPER_ONLY_UMODES = 388,
    OPER_PASS_RESV = 389,
    OPER_SNOMASKS = 390,
    OPER_UMODES = 391,
    OPERATOR = 392,
    OPERS_BYPASS_CALLERID = 393,
    PACE_WAIT = 394,
    PACE_WAIT_SIMPLE = 395,
    PASSWORD = 396,
    PATH = 397,
    PING_COOKIE = 398,
    PING_TIME = 399,
    PORT = 400,
    QSTRING = 401,
    QUIET_ON_BAN = 402,
    RANDOM_IDLE = 403,
    REASON = 404,
    REDIRPORT = 405,
    REDIRSERV = 406,
    REHASH = 407,
    REMOTE = 408,
    REMOTEBAN = 409,
    RESV = 410,
    RESV_EXEMPT = 411,
    RSA_PRIVATE_KEY_FILE = 412,
    RSA_PUBLIC_KEY_FILE = 413,
    SCRIPT = 414,
    SECONDS = 415,
    MINUTES = 416,
    HOURS = 417,
    DAYS = 418,
    WEEKS = 419,
    MONTHS = 420,
    YEARS = 421,
    SEND_PASSWORD = 422,
    SENDQ = 423,
    SERVERHIDE = 424,
    SERVERINFO = 425,
    SERVER_NAME = 426,
    SHORT_MOTD = 427,
    T_SNOMASKS = 428,
    SOFT_SENDQ = 429,
    SPOOF = 430,
    SPOOF_NOTICE = 431,
    SQUIT = 432,
    SSL_CERTIFICATE_FILE = 433,
    SSL_CERTIFICATE_FINGERPRINT = 434,
    SSL_CONNECTION_REQUIRED = 435,
    SSL_DH_ELLIPTIC_CURVE = 436,
    SSL_DH_PARAM_FILE = 437,
    SSL_MESSAGE_DIGEST_ALGORITHM = 438,
    STATS_E_DISABLED = 439,
    STATS_I_OPER_ONLY = 440,
    STATS_K_OPER_ONLY = 441,
    STATS_M_OPER_ONLY = 442,
    STATS_O_OPER_ONLY = 443,
    STATS_P_OPER_ONLY = 444,
    STATS_U_OPER_ONLY = 445,
    T_ALIAS = 446,
    T_ALL = 447,
    T_BOTS = 448,
    T_CALLERID = 449,
    T_CCONN = 450,
    T_CLUSTER = 451,
    T_DEAF = 452,
    T_DEBUG = 453,
    T_DLINE = 454,
    T_FARCONNECT = 455,
    T_FILE = 456,
    T_FULL = 457,
    T_HIDECHANNELS = 458,
    T_GLOBOPS = 459,
    T_INVISIBLE = 460,
    T_IPV4 = 461,
    T_IPV6 = 462,
    T_LOCOPS = 463,
    T_LOG = 464,
    T_MAX_CLIENTS = 465,
    T_NCHANGE = 466,
    T_NOCTCP = 467,
    T_NONONREG = 468,
    T_OPERWALL = 469,
    T_RECVQ = 470,
    T_REJ = 471,
    T_RESTART = 472,
    T_SASL_NAME = 473,
    T_SERVER = 474,
    T_SERVICE = 475,
    T_SERVICES_NAME = 476,
    T_SERVNOTICE = 477,
    T_SET = 478,
    T_SHARED = 479,
    T_SIZE = 480,
    T_SKILL = 481,
    T_SOFTCALLERID = 482,
    T_SPY = 483,
    T_SSL = 484,
    SSLPROFILE = 485,
    SSL_PROFILE = 486,
    T_UMODES = 487,
    T_UNAUTH = 488,
    T_UNDLINE = 489,
    T_UNLIMITED = 490,
    T_UNRESV = 491,
    T_UNXLINE = 492,
    T_WALLOP = 493,
    T_WALLOPS = 494,
    T_WALLUSERS = 495,
    T_WEBIRC = 496,
    TBOOL = 497,
    THROTTLE_NUM = 498,
    THROTTLE_TIME = 499,
    TKLINE_EXPIRE_NOTICES = 500,
    TMASKED = 501,
    TS_MAX_DELTA = 502,
    TS_WARN_DELTA = 503,
    TWODOTS = 504,
    TYPE = 505,
    UNKLINE = 506,
    USE_LOGGING = 507,
    USE_TARGET_CHANGE = 508,
    USER = 509,
    VHOST = 510,
    VHOST6 = 511,
    WARN_NO_NLINE = 512,
    XLINE = 513
  };
#endif
/* Tokens.  */
#define ACCEPT_PASSWORD 258
#define ACCOUNT_WHOIS 259
#define ADMIN 260
#define AFTYPE 261
#define ANTI_NICK_FLOOD 262
#define ANTI_SPAM_EXIT_MESSAGE_TIME 263
#define AUTOCONN 264
#define BYTES 265
#define KBYTES 266
#define MBYTES 267
#define CA_FILE 268
#define CALLER_ID_WAIT 269
#define CAN_FLOOD 270
#define CHANNEL 271
#define CIDR_BITLEN_IPV4 272
#define CIDR_BITLEN_IPV6 273
#define CIPHER_LIST 274
#define CLASS 275
#define CLOAK_KEY1 276
#define CLOAK_KEY2 277
#define CLOAK_KEY3 278
#define CLOAK_WHOIS_ACTUALLY 279
#define CONNECT 280
#define CONNECTFREQ 281
#define CYCLE_ON_HOST_CHANGE 282
#define DEFAULT_FLOODCOUNT 283
#define DEFAULT_SPLIT_SERVER_COUNT 284
#define DEFAULT_SPLIT_USER_COUNT 285
#define DEFER 286
#define DENY 287
#define DESCRIPTION 288
#define DIE 289
#define DISABLE_AUTH 290
#define DISABLE_CHMODES 291
#define DISABLE_FAKE_CHANNELS 292
#define DISABLE_REMOTE_COMMANDS 293
#define DNSBL 294
#define DNSBL_EXEMPT 295
#define DOTS_IN_IDENT 296
#define DURATION 297
#define EMAIL 298
#define ENABLE_EXTBANS 299
#define ENABLE_FORWARDING 300
#define ENCRYPTED 301
#define EXCEED_LIMIT 302
#define EXEMPT 303
#define FAILED_OPER_NOTICE 304
#define FLATTEN_LINKS 305
#define FLOOD_BURST 306
#define FLOOD_LIMIT 307
#define GECOS 308
#define GENERAL 309
#define GLINE 310
#define GLINE_DURATION 311
#define GLINE_ENABLE 312
#define GLINE_EXEMPT 313
#define GLINE_MIN_CIDR 314
#define GLINE_MIN_CIDR6 315
#define GLINE_REQUEST_DURATION 316
#define HAVENT_READ_CONF 317
#define HIDDEN 318
#define HIDDEN_NAME 319
#define HIDE_IDLE_FROM_OPERS 320
#define HIDE_SERVER_IPS 321
#define HIDE_SERVERS 322
#define HIDE_SERVICES 323
#define HIDE_SPOOF_IPS 324
#define HOST 325
#define HTTP 326
#define HUB 327
#define HUB_MASK 328
#define IDENTITY 329
#define IGNORE_BOGUS_TS 330
#define INVISIBLE_ON_CONNECT 331
#define INVITE_THROTTLE 332
#define IP 333
#define IRCD_AUTH 334
#define IRCD_FLAGS 335
#define IRCD_SID 336
#define JOIN_FLOOD_COUNT 337
#define JOIN_FLOOD_TIME 338
#define KILL 339
#define KILL_CHASE_TIME_LIMIT 340
#define KLINE 341
#define KLINE_EXEMPT 342
#define KLINE_REASON 343
#define KNOCK_DELAY 344
#define KNOCK_DELAY_CHANNEL 345
#define LEAF_MASK 346
#define T_LINK 347
#define LINKS_DELAY 348
#define LISTEN 349
#define MASK 350
#define MATCH 351
#define MAX_ACCEPT 352
#define MAX_BANS 353
#define MAX_CHANS_PER_OPER 354
#define MAX_CHANS_PER_USER 355
#define MAX_GLOBAL 356
#define MAX_IDLE 357
#define MAX_LOCAL 358
#define MAX_NICK_CHANGES 359
#define MAX_NICK_LENGTH 360
#define MAX_NICK_TIME 361
#define MAX_NUMBER 362
#define MAX_TARGETS 363
#define MAX_TOPIC_LENGTH 364
#define MAX_WATCH 365
#define MIN_IDLE 366
#define MIN_NONWILDCARD 367
#define MIN_NONWILDCARD_SIMPLE 368
#define MODULE 369
#define MODULES 370
#define MOTD 371
#define NAME 372
#define NEED_ACCOUNT 373
#define NEED_IDENT 374
#define NEED_PASSWORD 375
#define NETWORK_DESC 376
#define NETWORK_NAME 377
#define NICK 378
#define NICK_COLLIDE_REALHOST 379
#define NO_CREATE_ON_SPLIT 380
#define NO_JOIN_ON_SPLIT 381
#define NO_OPER_FLOOD 382
#define NO_TILDE 383
#define NUMBER 384
#define NUMBER_PER_CIDR 385
#define NUMBER_PER_IP 386
#define OPER_ONLY 387
#define OPER_ONLY_UMODES 388
#define OPER_PASS_RESV 389
#define OPER_SNOMASKS 390
#define OPER_UMODES 391
#define OPERATOR 392
#define OPERS_BYPASS_CALLERID 393
#define PACE_WAIT 394
#define PACE_WAIT_SIMPLE 395
#define PASSWORD 396
#define PATH 397
#define PING_COOKIE 398
#define PING_TIME 399
#define PORT 400
#define QSTRING 401
#define QUIET_ON_BAN 402
#define RANDOM_IDLE 403
#define REASON 404
#define REDIRPORT 405
#define REDIRSERV 406
#define REHASH 407
#define REMOTE 408
#define REMOTEBAN 409
#define RESV 410
#define RESV_EXEMPT 411
#define RSA_PRIVATE_KEY_FILE 412
#define RSA_PUBLIC_KEY_FILE 413
#define SCRIPT 414
#define SECONDS 415
#define MINUTES 416
#define HOURS 417
#define DAYS 418
#define WEEKS 419
#define MONTHS 420
#define YEARS 421
#define SEND_PASSWORD 422
#define SENDQ 423
#define SERVERHIDE 424
#define SERVERINFO 425
#define SERVER_NAME 426
#define SHORT_MOTD 427
#define T_SNOMASKS 428
#define SOFT_SENDQ 429
#define SPOOF 430
#define SPOOF_NOTICE 431
#define SQUIT 432
#define SSL_CERTIFICATE_FILE 433
#define SSL_CERTIFICATE_FINGERPRINT 434
#define SSL_CONNECTION_REQUIRED 435
#define SSL_DH_ELLIPTIC_CURVE 436
#define SSL_DH_PARAM_FILE 437
#define SSL_MESSAGE_DIGEST_ALGORITHM 438
#define STATS_E_DISABLED 439
#define STATS_I_OPER_ONLY 440
#define STATS_K_OPER_ONLY 441
#define STATS_M_OPER_ONLY 442
#define STATS_O_OPER_ONLY 443
#define STATS_P_OPER_ONLY 444
#define STATS_U_OPER_ONLY 445
#define T_ALIAS 446
#define T_ALL 447
#define T_BOTS 448
#define T_CALLERID 449
#define T_CCONN 450
#define T_CLUSTER 451
#define T_DEAF 452
#define T_DEBUG 453
#define T_DLINE 454
#define T_FARCONNECT 455
#define T_FILE 456
#define T_FULL 457
#define T_HIDECHANNELS 458
#define T_GLOBOPS 459
#define T_INVISIBLE 460
#define T_IPV4 461
#define T_IPV6 462
#define T_LOCOPS 463
#define T_LOG 464
#define T_MAX_CLIENTS 465
#define T_NCHANGE 466
#define T_NOCTCP 467
#define T_NONONREG 468
#define T_OPERWALL 469
#define T_RECVQ 470
#define T_REJ 471
#define T_RESTART 472
#define T_SASL_NAME 473
#define T_SERVER 474
#define T_SERVICE 475
#define T_SERVICES_NAME 476
#define T_SERVNOTICE 477
#define T_SET 478
#define T_SHARED 479
#define T_SIZE 480
#define T_SKILL 481
#define T_SOFTCALLERID 482
#define T_SPY 483
#define T_SSL 484
#define SSLPROFILE 485
#define SSL_PROFILE 486
#define T_UMODES 487
#define T_UNAUTH 488
#define T_UNDLINE 489
#define T_UNLIMITED 490
#define T_UNRESV 491
#define T_UNXLINE 492
#define T_WALLOP 493
#define T_WALLOPS 494
#define T_WALLUSERS 495
#define T_WEBIRC 496
#define TBOOL 497
#define THROTTLE_NUM 498
#define THROTTLE_TIME 499
#define TKLINE_EXPIRE_NOTICES 500
#define TMASKED 501
#define TS_MAX_DELTA 502
#define TS_WARN_DELTA 503
#define TWODOTS 504
#define TYPE 505
#define UNKLINE 506
#define USE_LOGGING 507
#define USE_TARGET_CHANGE 508
#define USER 509
#define VHOST 510
#define VHOST6 511
#define WARN_NO_NLINE 512
#define XLINE 513

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 157 "conf_parser.y" /* yacc.c:355  */

  int number;
  char *string;

#line 756 "conf_parser.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;

int yyparse (void);

#endif /* !YY_YY_CONF_PARSER_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 773 "conf_parser.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   1562

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  265
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  343
/* YYNRULES -- Number of rules.  */
#define YYNRULES  753
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  1506

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   513

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,   263,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   264,   259,
       2,   262,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   261,     2,   260,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   419,   419,   420,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     452,   452,   453,   457,   461,   465,   469,   473,   477,   481,
     487,   487,   488,   489,   490,   491,   498,   497,   512,   512,
     513,   513,   513,   513,   513,   515,   528,   534,   540,   552,
     555,   555,   556,   556,   556,   556,   558,   564,   570,   578,
     577,   626,   626,   627,   627,   627,   628,   628,   629,   630,
     632,   640,   672,   698,   706,   715,   714,   736,   736,   737,
     737,   738,   739,   741,   756,   816,   857,   859,   859,   860,
     860,   861,   861,   862,   862,   863,   863,   864,   865,   866,
     867,   870,   885,   900,   909,   923,   932,   960,   990,  1015,
    1037,  1059,  1068,  1070,  1070,  1071,  1071,  1072,  1072,  1074,
    1083,  1092,  1105,  1104,  1122,  1122,  1123,  1123,  1123,  1125,
    1131,  1142,  1141,  1158,  1158,  1160,  1160,  1160,  1160,  1162,
    1168,  1174,  1175,  1175,  1176,  1201,  1202,  1202,  1204,  1204,
    1205,  1207,  1214,  1214,  1227,  1228,  1230,  1230,  1231,  1231,
    1233,  1241,  1244,  1250,  1249,  1255,  1255,  1256,  1260,  1264,
    1268,  1272,  1276,  1280,  1284,  1288,  1299,  1298,  1379,  1379,
    1380,  1380,  1380,  1381,  1381,  1381,  1381,  1382,  1382,  1383,
    1384,  1384,  1386,  1392,  1398,  1404,  1415,  1421,  1427,  1438,
    1445,  1444,  1450,  1450,  1451,  1452,  1457,  1462,  1467,  1472,
    1477,  1482,  1487,  1492,  1497,  1502,  1507,  1514,  1513,  1519,
    1519,  1521,  1526,  1531,  1536,  1541,  1546,  1551,  1556,  1561,
    1566,  1571,  1576,  1581,  1588,  1587,  1593,  1593,  1594,  1598,
    1602,  1606,  1610,  1614,  1618,  1622,  1626,  1630,  1634,  1638,
    1642,  1646,  1650,  1654,  1658,  1662,  1666,  1670,  1674,  1678,
    1682,  1686,  1690,  1694,  1698,  1709,  1708,  1766,  1766,  1767,
    1768,  1768,  1769,  1770,  1771,  1772,  1773,  1774,  1775,  1776,
    1776,  1776,  1776,  1776,  1777,  1778,  1779,  1780,  1782,  1788,
    1794,  1800,  1806,  1812,  1818,  1824,  1830,  1836,  1842,  1848,
    1855,  1861,  1867,  1873,  1882,  1892,  1891,  1897,  1897,  1898,
    1902,  1913,  1912,  1919,  1918,  1924,  1924,  1925,  1929,  1933,
    1937,  1941,  1947,  1947,  1948,  1948,  1948,  1948,  1948,  1948,
    1951,  1950,  1956,  1956,  1958,  1977,  2000,  2006,  2012,  2022,
    2021,  2086,  2086,  2087,  2087,  2087,  2087,  2088,  2088,  2088,
    2089,  2089,  2090,  2090,  2092,  2098,  2104,  2110,  2122,  2121,
    2127,  2127,  2128,  2132,  2136,  2140,  2144,  2148,  2152,  2156,
    2160,  2164,  2168,  2172,  2178,  2192,  2201,  2210,  2218,  2231,
    2230,  2245,  2245,  2246,  2246,  2246,  2246,  2248,  2254,  2260,
    2270,  2272,  2272,  2273,  2273,  2275,  2291,  2290,  2315,  2315,
    2316,  2316,  2316,  2316,  2318,  2324,  2344,  2343,  2349,  2349,
    2350,  2354,  2358,  2362,  2366,  2370,  2374,  2378,  2382,  2386,
    2396,  2395,  2416,  2416,  2417,  2417,  2417,  2419,  2426,  2425,
    2431,  2431,  2432,  2436,  2440,  2444,  2448,  2452,  2456,  2460,
    2464,  2468,  2478,  2477,  2564,  2564,  2565,  2565,  2565,  2566,
    2566,  2567,  2567,  2567,  2568,  2568,  2569,  2569,  2569,  2570,
    2570,  2571,  2573,  2579,  2585,  2591,  2604,  2617,  2623,  2629,
    2635,  2641,  2645,  2654,  2653,  2658,  2658,  2659,  2663,  2669,
    2680,  2686,  2692,  2703,  2702,  2728,  2728,  2729,  2729,  2729,
    2731,  2751,  2761,  2760,  2787,  2787,  2788,  2788,  2788,  2790,
    2796,  2805,  2807,  2807,  2808,  2808,  2810,  2828,  2827,  2850,
    2850,  2851,  2851,  2851,  2853,  2859,  2868,  2871,  2871,  2872,
    2872,  2873,  2873,  2874,  2874,  2875,  2875,  2876,  2876,  2877,
    2878,  2879,  2879,  2880,  2880,  2881,  2881,  2881,  2882,  2882,
    2883,  2884,  2884,  2885,  2886,  2886,  2887,  2887,  2887,  2888,
    2888,  2889,  2889,  2890,  2890,  2890,  2891,  2891,  2892,  2893,
    2893,  2894,  2894,  2895,  2896,  2897,  2898,  2899,  2899,  2899,
    2900,  2901,  2901,  2901,  2901,  2902,  2902,  2902,  2903,  2903,
    2903,  2904,  2907,  2912,  2918,  2927,  2936,  2945,  2951,  2957,
    2963,  2969,  2975,  2980,  2985,  2994,  2999,  3004,  3009,  3014,
    3019,  3024,  3029,  3034,  3039,  3044,  3049,  3055,  3066,  3071,
    3076,  3081,  3086,  3091,  3096,  3099,  3104,  3107,  3112,  3117,
    3122,  3127,  3132,  3137,  3142,  3147,  3152,  3157,  3162,  3171,
    3180,  3185,  3190,  3195,  3200,  3206,  3205,  3210,  3215,  3220,
    3232,  3232,  3233,  3237,  3241,  3245,  3249,  3253,  3257,  3261,
    3265,  3269,  3273,  3277,  3283,  3282,  3287,  3287,  3289,  3293,
    3297,  3301,  3305,  3309,  3313,  3317,  3321,  3325,  3329,  3333,
    3337,  3343,  3342,  3347,  3347,  3348,  3352,  3356,  3360,  3364,
    3368,  3372,  3376,  3380,  3384,  3388,  3392,  3397,  3406,  3411,
    3416,  3421,  3430,  3433,  3433,  3434,  3435,  3435,  3436,  3436,
    3437,  3438,  3439,  3440,  3441,  3441,  3442,  3442,  3443,  3443,
    3445,  3450,  3455,  3460,  3465,  3470,  3475,  3480,  3485,  3490,
    3495,  3500,  3505,  3510,  3518,  3521,  3521,  3522,  3522,  3523,
    3524,  3525,  3526,  3526,  3527,  3528,  3530,  3536,  3542,  3548,
    3554,  3563,  3577,  3583
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "ACCEPT_PASSWORD", "ACCOUNT_WHOIS",
  "ADMIN", "AFTYPE", "ANTI_NICK_FLOOD", "ANTI_SPAM_EXIT_MESSAGE_TIME",
  "AUTOCONN", "BYTES", "KBYTES", "MBYTES", "CA_FILE", "CALLER_ID_WAIT",
  "CAN_FLOOD", "CHANNEL", "CIDR_BITLEN_IPV4", "CIDR_BITLEN_IPV6",
  "CIPHER_LIST", "CLASS", "CLOAK_KEY1", "CLOAK_KEY2", "CLOAK_KEY3",
  "CLOAK_WHOIS_ACTUALLY", "CONNECT", "CONNECTFREQ", "CYCLE_ON_HOST_CHANGE",
  "DEFAULT_FLOODCOUNT", "DEFAULT_SPLIT_SERVER_COUNT",
  "DEFAULT_SPLIT_USER_COUNT", "DEFER", "DENY", "DESCRIPTION", "DIE",
  "DISABLE_AUTH", "DISABLE_CHMODES", "DISABLE_FAKE_CHANNELS",
  "DISABLE_REMOTE_COMMANDS", "DNSBL", "DNSBL_EXEMPT", "DOTS_IN_IDENT",
  "DURATION", "EMAIL", "ENABLE_EXTBANS", "ENABLE_FORWARDING", "ENCRYPTED",
  "EXCEED_LIMIT", "EXEMPT", "FAILED_OPER_NOTICE", "FLATTEN_LINKS",
  "FLOOD_BURST", "FLOOD_LIMIT", "GECOS", "GENERAL", "GLINE",
  "GLINE_DURATION", "GLINE_ENABLE", "GLINE_EXEMPT", "GLINE_MIN_CIDR",
  "GLINE_MIN_CIDR6", "GLINE_REQUEST_DURATION", "HAVENT_READ_CONF",
  "HIDDEN", "HIDDEN_NAME", "HIDE_IDLE_FROM_OPERS", "HIDE_SERVER_IPS",
  "HIDE_SERVERS", "HIDE_SERVICES", "HIDE_SPOOF_IPS", "HOST", "HTTP", "HUB",
  "HUB_MASK", "IDENTITY", "IGNORE_BOGUS_TS", "INVISIBLE_ON_CONNECT",
  "INVITE_THROTTLE", "IP", "IRCD_AUTH", "IRCD_FLAGS", "IRCD_SID",
  "JOIN_FLOOD_COUNT", "JOIN_FLOOD_TIME", "KILL", "KILL_CHASE_TIME_LIMIT",
  "KLINE", "KLINE_EXEMPT", "KLINE_REASON", "KNOCK_DELAY",
  "KNOCK_DELAY_CHANNEL", "LEAF_MASK", "T_LINK", "LINKS_DELAY", "LISTEN",
  "MASK", "MATCH", "MAX_ACCEPT", "MAX_BANS", "MAX_CHANS_PER_OPER",
  "MAX_CHANS_PER_USER", "MAX_GLOBAL", "MAX_IDLE", "MAX_LOCAL",
  "MAX_NICK_CHANGES", "MAX_NICK_LENGTH", "MAX_NICK_TIME", "MAX_NUMBER",
  "MAX_TARGETS", "MAX_TOPIC_LENGTH", "MAX_WATCH", "MIN_IDLE",
  "MIN_NONWILDCARD", "MIN_NONWILDCARD_SIMPLE", "MODULE", "MODULES", "MOTD",
  "NAME", "NEED_ACCOUNT", "NEED_IDENT", "NEED_PASSWORD", "NETWORK_DESC",
  "NETWORK_NAME", "NICK", "NICK_COLLIDE_REALHOST", "NO_CREATE_ON_SPLIT",
  "NO_JOIN_ON_SPLIT", "NO_OPER_FLOOD", "NO_TILDE", "NUMBER",
  "NUMBER_PER_CIDR", "NUMBER_PER_IP", "OPER_ONLY", "OPER_ONLY_UMODES",
  "OPER_PASS_RESV", "OPER_SNOMASKS", "OPER_UMODES", "OPERATOR",
  "OPERS_BYPASS_CALLERID", "PACE_WAIT", "PACE_WAIT_SIMPLE", "PASSWORD",
  "PATH", "PING_COOKIE", "PING_TIME", "PORT", "QSTRING", "QUIET_ON_BAN",
  "RANDOM_IDLE", "REASON", "REDIRPORT", "REDIRSERV", "REHASH", "REMOTE",
  "REMOTEBAN", "RESV", "RESV_EXEMPT", "RSA_PRIVATE_KEY_FILE",
  "RSA_PUBLIC_KEY_FILE", "SCRIPT", "SECONDS", "MINUTES", "HOURS", "DAYS",
  "WEEKS", "MONTHS", "YEARS", "SEND_PASSWORD", "SENDQ", "SERVERHIDE",
  "SERVERINFO", "SERVER_NAME", "SHORT_MOTD", "T_SNOMASKS", "SOFT_SENDQ",
  "SPOOF", "SPOOF_NOTICE", "SQUIT", "SSL_CERTIFICATE_FILE",
  "SSL_CERTIFICATE_FINGERPRINT", "SSL_CONNECTION_REQUIRED",
  "SSL_DH_ELLIPTIC_CURVE", "SSL_DH_PARAM_FILE",
  "SSL_MESSAGE_DIGEST_ALGORITHM", "STATS_E_DISABLED", "STATS_I_OPER_ONLY",
  "STATS_K_OPER_ONLY", "STATS_M_OPER_ONLY", "STATS_O_OPER_ONLY",
  "STATS_P_OPER_ONLY", "STATS_U_OPER_ONLY", "T_ALIAS", "T_ALL", "T_BOTS",
  "T_CALLERID", "T_CCONN", "T_CLUSTER", "T_DEAF", "T_DEBUG", "T_DLINE",
  "T_FARCONNECT", "T_FILE", "T_FULL", "T_HIDECHANNELS", "T_GLOBOPS",
  "T_INVISIBLE", "T_IPV4", "T_IPV6", "T_LOCOPS", "T_LOG", "T_MAX_CLIENTS",
  "T_NCHANGE", "T_NOCTCP", "T_NONONREG", "T_OPERWALL", "T_RECVQ", "T_REJ",
  "T_RESTART", "T_SASL_NAME", "T_SERVER", "T_SERVICE", "T_SERVICES_NAME",
  "T_SERVNOTICE", "T_SET", "T_SHARED", "T_SIZE", "T_SKILL",
  "T_SOFTCALLERID", "T_SPY", "T_SSL", "SSLPROFILE", "SSL_PROFILE",
  "T_UMODES", "T_UNAUTH", "T_UNDLINE", "T_UNLIMITED", "T_UNRESV",
  "T_UNXLINE", "T_WALLOP", "T_WALLOPS", "T_WALLUSERS", "T_WEBIRC", "TBOOL",
  "THROTTLE_NUM", "THROTTLE_TIME", "TKLINE_EXPIRE_NOTICES", "TMASKED",
  "TS_MAX_DELTA", "TS_WARN_DELTA", "TWODOTS", "TYPE", "UNKLINE",
  "USE_LOGGING", "USE_TARGET_CHANGE", "USER", "VHOST", "VHOST6",
  "WARN_NO_NLINE", "XLINE", "';'", "'}'", "'{'", "'='", "','", "':'",
  "$accept", "conf", "conf_item", "timespec_", "timespec", "sizespec_",
  "sizespec", "alias_entry", "$@1", "alias_items", "alias_item",
  "alias_name", "alias_user", "alias_host", "alias_oper_only",
  "modules_entry", "modules_items", "modules_item", "modules_module",
  "modules_script", "modules_path", "sslprofile", "$@2",
  "sslprofile_items", "sslprofile_item", "sslprofile_name",
  "sslprofile_dh_param_file", "sslprofile_dh_elliptic_curve",
  "sslprofile_cipher_list", "sslprofile_cafile", "sslprofile_identity",
  "$@3", "sslprofile_identity_items", "sslprofile_identity_item",
  "sslprofile_identity_server_name",
  "sslprofile_identity_rsa_private_key_file",
  "sslprofile_identity_certificate_file", "serverinfo_entry",
  "serverinfo_items", "serverinfo_item", "serverinfo_name",
  "serverinfo_sid", "serverinfo_description", "serverinfo_network_name",
  "serverinfo_network_desc", "serverinfo_vhost", "serverinfo_vhost6",
  "serverinfo_max_clients", "serverinfo_max_nick_length",
  "serverinfo_max_topic_length", "serverinfo_hub", "admin_entry",
  "admin_items", "admin_item", "admin_name", "admin_email",
  "admin_description", "motd_entry", "$@4", "motd_items", "motd_item",
  "motd_mask", "motd_file", "dnsbl_entry", "$@5", "dnsbl_items",
  "dnsbl_item", "dnsbl_name", "dnsbl_reason", "dnsbl_matches",
  "match_items", "match_item", "logging_entry", "logging_items",
  "logging_item", "logging_use_logging", "logging_file_entry", "$@6",
  "logging_file_items", "logging_file_item", "logging_file_name",
  "logging_file_size", "logging_file_type", "$@7",
  "logging_file_type_items", "logging_file_type_item", "oper_entry", "$@8",
  "oper_items", "oper_item", "oper_name", "oper_user", "oper_password",
  "oper_encrypted", "oper_rsa_public_key_file",
  "oper_ssl_certificate_fingerprint", "oper_ssl_connection_required",
  "oper_class", "oper_umodes", "$@9", "oper_umodes_items",
  "oper_umodes_item", "oper_snomasks", "$@10", "oper_snomasks_items",
  "oper_snomasks_item", "oper_flags", "$@11", "oper_flags_items",
  "oper_flags_item", "class_entry", "$@12", "class_items", "class_item",
  "class_name", "class_ping_time", "class_number_per_ip",
  "class_connectfreq", "class_max_number", "class_max_global",
  "class_max_local", "class_soft_sendq", "class_flood_burst",
  "class_flood_limit", "class_sendq", "class_recvq",
  "class_cidr_bitlen_ipv4", "class_cidr_bitlen_ipv6",
  "class_number_per_cidr", "class_min_idle", "class_max_idle",
  "class_flags", "$@13", "class_flags_items", "class_flags_item",
  "listen_entry", "$@14", "listen_flags", "$@15", "listen_flags_items",
  "listen_flags_item", "listen_items", "listen_item", "listen_port",
  "$@16", "port_items", "port_item", "listen_address", "listen_host",
  "listen_ssl_profile", "auth_entry", "$@17", "auth_items", "auth_item",
  "auth_user", "auth_passwd", "auth_class", "auth_encrypted", "auth_flags",
  "$@18", "auth_flags_items", "auth_flags_item", "auth_spoof",
  "auth_redir_serv", "auth_redir_port", "auth_ssl_certificate_fingerprint",
  "auth_ca_file", "resv_entry", "$@19", "resv_items", "resv_item",
  "resv_mask", "resv_reason", "resv_exempt", "service_entry",
  "service_items", "service_item", "service_name", "shared_entry", "$@20",
  "shared_items", "shared_item", "shared_name", "shared_user",
  "shared_type", "$@21", "shared_types", "shared_type_item",
  "cluster_entry", "$@22", "cluster_items", "cluster_item", "cluster_name",
  "cluster_type", "$@23", "cluster_types", "cluster_type_item",
  "connect_entry", "$@24", "connect_items", "connect_item", "connect_name",
  "connect_host", "connect_vhost", "connect_send_password",
  "connect_accept_password", "connect_ssl_certificate_fingerprint",
  "connect_ca_file", "connect_ssl_profile", "connect_port",
  "connect_aftype", "connect_flags", "$@25", "connect_flags_items",
  "connect_flags_item", "connect_encrypted", "connect_hub_mask",
  "connect_leaf_mask", "connect_class", "kill_entry", "$@26", "kill_items",
  "kill_item", "kill_user", "kill_reason", "deny_entry", "$@27",
  "deny_items", "deny_item", "deny_ip", "deny_reason", "exempt_entry",
  "exempt_items", "exempt_item", "exempt_ip", "gecos_entry", "$@28",
  "gecos_items", "gecos_item", "gecos_name", "gecos_reason",
  "general_entry", "general_items", "general_item", "general_max_watch",
  "general_cycle_on_host_change", "general_cloak_key1",
  "general_cloak_key2", "general_cloak_key3",
  "general_cloak_whois_actually", "general_account_whois",
  "general_gline_enable", "general_gline_duration",
  "general_gline_request_duration", "general_gline_min_cidr",
  "general_gline_min_cidr6", "general_kline_reason",
  "general_tkline_expire_notices", "general_kill_chase_time_limit",
  "general_hide_spoof_ips", "general_ignore_bogus_ts",
  "general_failed_oper_notice", "general_anti_nick_flood",
  "general_max_nick_time", "general_max_nick_changes",
  "general_max_accept", "general_anti_spam_exit_message_time",
  "general_ts_warn_delta", "general_ts_max_delta",
  "general_havent_read_conf", "general_invisible_on_connect",
  "general_warn_no_nline", "general_stats_e_disabled",
  "general_stats_o_oper_only", "general_stats_P_oper_only",
  "general_stats_u_oper_only", "general_stats_k_oper_only",
  "general_stats_i_oper_only", "general_stats_m_oper_only",
  "general_pace_wait", "general_caller_id_wait",
  "general_opers_bypass_callerid", "general_pace_wait_simple",
  "general_short_motd", "general_no_oper_flood", "general_oper_pass_resv",
  "general_dots_in_ident", "general_max_targets", "general_services_name",
  "general_sasl_name", "general_ping_cookie",
  "general_nick_collide_realhost", "general_disable_auth",
  "general_throttle_num", "general_throttle_time", "general_oper_umodes",
  "$@29", "general_enable_extbans", "general_enable_forwarding",
  "general_ssl_message_digest_algorithm", "umode_oitems", "umode_oitem",
  "general_oper_snomasks", "$@30", "snomask_oitems", "snomask_oitem",
  "general_oper_only_umodes", "$@31", "umode_items", "umode_item",
  "general_disable_chmodes", "general_use_target_change",
  "general_min_nonwildcard", "general_min_nonwildcard_simple",
  "general_default_floodcount", "channel_entry", "channel_items",
  "channel_item", "channel_disable_fake_channels", "channel_knock_delay",
  "channel_knock_delay_channel", "channel_max_chans_per_user",
  "channel_max_chans_per_oper", "channel_max_bans",
  "channel_default_split_user_count", "channel_default_split_server_count",
  "channel_no_create_on_split", "channel_no_join_on_split",
  "channel_jflood_count", "channel_jflood_time", "channel_quiet_on_ban",
  "channel_invite_throttle", "serverhide_entry", "serverhide_items",
  "serverhide_item", "serverhide_flatten_links",
  "serverhide_disable_remote_commands", "serverhide_hide_servers",
  "serverhide_hide_services", "serverhide_hidden_name",
  "serverhide_links_delay", "serverhide_hidden",
  "serverhide_hide_server_ips", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,    59,
     125,   123,    61,    44,    58
};
# endif

#define YYPACT_NINF -1191

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-1191)))

#define YYTABLE_NINF -163

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -1191,   687, -1191,  -215,  -257,  -244, -1191, -1191, -1191, -1191,
    -227, -1191,  -222, -1191, -1191, -1191,  -207, -1191, -1191, -1191,
    -201,  -194, -1191, -1191,  -184,  -182, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191,   362,   876,  -179,  -176,  -168,
    -156,    19,  -155,   436,  -154,  -148,  -125,   250,  -117,  -116,
     -96,   661,   445,   -84,   -79,    64,    15,   -77,   -74,   -69,
     -67,   -56,   -41,    18, -1191, -1191, -1191, -1191, -1191,   -24,
      -2,     4,     6,    32,    34,    58,    71,   104,   118,   119,
     127,   128,   134,   215, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,   758,
     519,    26,   280, -1191,   146,    47, -1191, -1191,   229, -1191,
     149,   158,   172,   174,   177,   180,   183,   206,   239,   241,
     242,   245,   247,   248,   251,   252,   253,   256,   257,   261,
     265,   266,   267,   268,   273,   275,   281,   283,   285,   290,
     291,   294,   295,   296,   302,   311, -1191,   315, -1191, -1191,
     316,   318,   329,   331,   333,   334,   335,   336,   338,   339,
     341,   342,   345,   347,   350,   352,   353,   354,   355,   356,
     365,   366,    14, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191,   593,    97,   371,   -36,
     368,   369,   370,     9, -1191, -1191, -1191, -1191,    63,   488,
     387, -1191,   372,   373,   375,   376,   379,   381,   382,   383,
      28, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
      13,   385,   386,   388,   389,   390,   391,   394,   396,   397,
     398,   401,   214, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191,   193,    79,    50,   403,    39,
   -1191, -1191, -1191,    -9, -1191,   404,    42, -1191, -1191,    23,
     305, -1191,   201,   309,   319,   162, -1191,   504,   520,   234,
     540,   542,   540,   540,   540,   545,   546,   547,   249,   435,
     440,   419, -1191,   426,   428,   429,   432,   433,   434, -1191,
     442,   443,   444,   447,   451,   452,   453,   454,   455,   456,
     459,   461,   111, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191,   438,   468,   469,   470,   474,   475,   476,   477,
   -1191,   483,   484,   485,   486,   489,   490,   491,   163, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191,   495,   496,    22, -1191,
   -1191, -1191,   502,   500,   501,   503,   114, -1191, -1191, -1191,
   -1191,   623,   518, -1191, -1191,   516,   521,   173, -1191, -1191,
   -1191,   460,   538,   540,   540,   639,   640,   641,   550,   552,
     653,   557,   642,   660,   559,   562,   563,   540,   570,   669,
     684,   540,   690,   578,   580,   581,   540,   680,   700,   703,
     540,   704,   705,   707,   708,   597,   598,   583,   601,   584,
     586,   607,   540,   540,   608,   609,   706,   611,  -190,  -189,
     612,   616,   621,   622,   720,   721,   739,   540,   632,   540,
     540,   634,   637,   625, -1191,   626,   618,   619,   620, -1191,
     624,   628,   629,   630,   631,   633,   207, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,   646,
     647,   107, -1191, -1191, -1191,   644,   648,   650, -1191,   654,
     656, -1191,   223, -1191, -1191, -1191, -1191, -1191, -1191,   752,
     755,   769,   645, -1191,   664,   657,   658,    24, -1191, -1191,
   -1191,   666,   667,   672, -1191,   673,   674,   676, -1191,   677,
     679, -1191,   681,   159, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191,   683,   682,   685,   686,
      85, -1191, -1191, -1191, -1191,   710,   712,   714,   803,   718,
     722,   725,   540,   691, -1191, -1191,   823,   728,   825,   843,
     849,   833,   835,   836,   854,   838,   839,   730, -1191,   731,
     732,   736,   737,   738,    29, -1191, -1191, -1191, -1191, -1191,
     733,   741, -1191,    61, -1191, -1191, -1191, -1191,   745,   734,
   -1191,   743,   861,   749, -1191,   753,   751, -1191,   754,   100,
   -1191, -1191, -1191, -1191,   759,   757,   760, -1191,   765,   766,
     767,    68, -1191, -1191, -1191, -1191, -1191, -1191, -1191,   771,
     772,   773, -1191,   774,   776,   777,   422,   778,   779,   782,
     784,   785,   786,   787,   788,   789,   790,   792, -1191, -1191,
     885,   913,   540,   923,   924,   793,   925,   540,   927,   928,
     540,   912,   930,   931,   540,   932,   932,   932,   804, -1191,
   -1191,   916,  -160,   918,   919,   824,   921,   922,   807,   926,
     929,   941,   933,   934,   935,   936,   814, -1191,   937,   938,
     815, -1191, -1191,   939,   940,   942,   817, -1191,   818, -1191,
     943,   944,   819, -1191,   828,   832,   834,   837,   840,   841,
     842,   844,   845,   846,   847,   848,   850,   851,   852,   853,
     855,   856,   857,   858,   859,   860,   862,   863,   864,   865,
     866,   867,   868,   869,   870,   871,   872,   873,   874,   875,
     603,   877,   729,   783,   878,   879,   880,   881,   882,   883,
     884,   886,   887,   888,   889,   890,   891,   892,   893,   894,
     895,   896,   897,   898,   899,   900,   901,   902, -1191, -1191,
     946,   948,   829,   903,   949,   968,   952,   956,   962,   967,
     904, -1191,   974,   989,   905, -1191, -1191,   998,  1016,   906,
    1037,  1021,   910, -1191,   911,   914,   915, -1191, -1191,  1025,
    1026,   917, -1191, -1191,  1029,   945,   920,  1031,  1032,  1033,
     947,  1034,   950,   951,  1035,   953, -1191, -1191,  1038,  1039,
    1040,   955, -1191,   957,   958,   959,   960,   961,   963,   964,
     965, -1191,   966,   969,   970,   971,   972,   973,   975,   976,
     977,   978,   979, -1191, -1191,  1042,   954,  1043,  1044,   980,
   -1191, -1191,  1045,   981,   982, -1191,   983, -1191,   102,   985,
   -1191, -1191,  1047,   984,  1048,   986, -1191, -1191,  1049,  1051,
     987,  1052,  1053,  1054,   988, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191,   540,   540,   540,   540,   540,   540,   540, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191,   990,   991,   992,   993,   994,   -39,   995,   996,
     997,   999,  1000,  1001,  1002,  1003,  1004,     2,  1005,  1006,
    1007, -1191,  1008,  1009,  1010,  1011,  1012,  1013,  1014,  1015,
       0,  1017,  1018,  1019,  1020,  1022,  1023,  1024, -1191,  1027,
    1028, -1191, -1191,  -191, -1191,  1030,  1036, -1191, -1191,  1041,
    1046, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
    -175, -1191, -1191,  1050,  1055,  1056, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191,   -70, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191,   -52, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191,  1057,  1058,  1059,   297,  1062,  1063,  1064,
    1065,  1066,  1067, -1191,  1068,  1069, -1191,  1070,  1071,   312,
    1060,  1072, -1191,  1073, -1191, -1191, -1191, -1191,  1074,  1075,
   -1191,  1077,  1078,   556,  1079,  1080,  1081,   735,  1082,  1083,
     812,  1084, -1191,  1085,  1086,  1087, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191,  1088,  1089,  1090,  1091,
   -1191,  1092,   636, -1191, -1191,  1093,  1094,  1095, -1191,   109,
   -1191, -1191, -1191, -1191, -1191,  1096,   663,  1099, -1191,  1100,
    1101,   236,  1102,  1103,  1104, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
      90, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191,   932,   932,   932, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,   147,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191,   939, -1191, -1191, -1191, -1191, -1191,   603,  1122,  1127,
    1131, -1191,   729, -1191,   783, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
     167, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191,   168, -1191,  1076,
    1037,  1105, -1191, -1191, -1191, -1191, -1191, -1191,  1106, -1191,
   -1191,  1107, -1191, -1191, -1191, -1191,  1108, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191,   169, -1191, -1191, -1191, -1191,  1109,  1110,  1111, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191,   189, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191,   203, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191,   225, -1191, -1191,  1061,  -121,  1114,  1118,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191,   231, -1191, -1191, -1191, -1191,  1119,  1117,  1120,
    1121,    10, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
     -39, -1191, -1191, -1191, -1191,     0, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191,   297, -1191,   312, -1191, -1191, -1191,
    1132,  1135,  1137, -1191,   556,  1138,  1139,  1140, -1191,   735,
   -1191,   812, -1191,   636,  1125,  1126,  1128,   301, -1191, -1191,
     663, -1191,  1148,  1150,  1151,  1129, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191,   243, -1191, -1191,  1130,  1133,  1134, -1191,
   -1191,   301, -1191, -1191, -1191, -1191
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       2,     0,     1,     0,     0,     0,   275,   452,   502,   141,
       0,   517,     0,   349,   493,   321,     0,   132,   186,   389,
       0,     0,    46,   430,     0,     0,   406,    69,     3,     5,
      24,    25,    12,     4,    26,    27,     6,     7,     9,    10,
      11,    14,    15,    16,    17,    18,    19,    20,    21,    23,
      22,     8,    13,    28,    29,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   124,   125,   127,   126,   719,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   704,   716,   706,   707,   708,   709,
     705,   710,   711,   712,   713,   714,   715,   717,   718,     0,
       0,     0,     0,   515,     0,     0,   513,   514,     0,   591,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   681,     0,   664,   645,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   528,   577,   580,   581,   582,   583,   584,
     585,   570,   571,   572,   573,   574,   575,   569,   539,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   565,
     540,   541,   576,   543,   549,   550,   544,   546,   547,   545,
     558,   559,   548,   551,   552,   553,   542,   555,   578,   579,
     566,   567,   568,   563,   564,   556,   588,   589,   590,   557,
     554,   586,   587,   561,   562,   560,     0,     0,     0,     0,
       0,     0,     0,     0,    61,    62,    63,    64,     0,     0,
       0,   745,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   736,   737,   738,   739,   740,   743,   741,   742,   744,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    98,    99,   109,   102,   103,   104,   100,
     108,   105,   106,   107,   101,     0,     0,     0,     0,     0,
     157,   158,   159,     0,   404,     0,     0,   402,   403,     0,
       0,   128,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   703,     0,     0,     0,     0,     0,     0,   315,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   278,   279,   282,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   280,   281,   283,   294,
     295,   296,     0,     0,     0,     0,     0,     0,     0,     0,
     483,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   465,   464,
     466,   470,   467,   468,   469,   508,     0,     0,     0,   505,
     506,   507,     0,     0,     0,     0,     0,   144,   145,   146,
     147,     0,     0,   512,   523,     0,     0,     0,   520,   521,
     522,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   527,     0,     0,     0,     0,   368,
       0,     0,     0,     0,     0,     0,     0,   352,   353,   354,
     355,   360,   356,   357,   358,   359,   361,   362,   499,     0,
       0,     0,   496,   497,   498,     0,     0,     0,   323,     0,
       0,   335,     0,   333,   334,   336,   337,   338,    65,     0,
       0,     0,     0,    60,     0,     0,     0,     0,   135,   136,
     137,     0,     0,     0,   244,     0,     0,     0,   227,     0,
       0,   210,     0,     0,   189,   190,   191,   192,   196,   197,
     198,   199,   195,   193,   194,   200,     0,     0,     0,     0,
       0,   392,   393,   394,   395,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   735,   110,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    97,     0,
       0,     0,     0,     0,     0,    49,    50,    51,    52,    53,
       0,     0,   438,     0,   433,   434,   435,   160,     0,     0,
     156,     0,     0,     0,   401,     0,     0,   416,     0,     0,
     409,   410,   411,   412,     0,     0,     0,    85,     0,     0,
       0,     0,    72,    73,    74,    75,    76,    77,    78,     0,
       0,     0,   122,     0,     0,     0,    30,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   702,   297,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   277,
     471,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   454,     0,     0,
       0,   504,   148,     0,     0,     0,     0,   143,     0,   511,
       0,     0,     0,   519,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   526,   363,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   351,     0,     0,     0,   495,   339,     0,     0,     0,
       0,     0,     0,   332,     0,     0,     0,    59,   138,     0,
       0,     0,   134,   201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   188,   396,     0,     0,
       0,     0,   391,     0,     0,     0,     0,     0,     0,     0,
       0,   734,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    96,    54,     0,     0,     0,     0,     0,
      48,   436,     0,     0,     0,   432,     0,   155,     0,     0,
     400,   413,     0,     0,     0,     0,   408,    79,     0,     0,
       0,     0,     0,     0,     0,    71,   131,   130,   129,   727,
     726,   720,    30,    30,    30,    30,    30,    30,    30,    32,
      31,   733,   730,   731,   721,   722,   725,   724,   723,   728,
     729,   732,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    40,     0,     0,
       0,   276,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   453,     0,
       0,   503,   154,     0,   153,     0,     0,   142,   516,     0,
       0,   518,   598,   610,   614,   630,   594,   595,   596,   597,
     593,   701,   642,   697,   636,   647,   648,   609,   600,   599,
     602,   603,   601,   617,   607,   608,   618,   606,   604,   613,
     612,   611,   637,   592,   699,   700,   641,   634,   693,   686,
     687,   690,   694,   685,   695,   688,   689,   692,   696,   691,
       0,   684,   635,   680,   669,   671,   672,   674,   673,   676,
     675,   678,   677,     0,   667,   660,   653,   654,   657,   661,
     652,   662,   655,   656,   659,   663,   658,     0,   651,   631,
     629,   632,   640,   633,   649,   620,   626,   627,   624,   625,
     628,   621,   622,   623,   639,   638,   643,   644,   605,   616,
     615,   698,   619,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   350,     0,     0,   494,     0,     0,     0,
     344,   340,   343,     0,   322,    66,    68,    67,     0,     0,
     133,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     214,     0,   187,     0,     0,     0,   390,   747,   746,   752,
     750,   753,   748,   749,   751,   113,   121,   112,   119,   120,
     111,   115,   114,   118,   116,   117,     0,     0,     0,     0,
      47,     0,     0,   431,   161,     0,     0,     0,   173,     0,
     165,   166,   168,   167,   405,     0,     0,     0,   407,     0,
       0,     0,     0,     0,     0,    70,    33,    34,    35,    36,
      37,    38,    39,   310,   311,   301,   306,   307,   320,   319,
       0,   318,   303,   314,   304,   302,   313,   298,   312,   300,
     299,    40,    40,    40,    42,    41,   308,   305,   309,   476,
     481,   482,   478,   492,   489,   473,   490,   487,   488,     0,
     486,   491,   472,   480,   475,   477,   479,   474,   509,   510,
     151,     0,   149,   150,   524,   525,   682,     0,     0,     0,
       0,   665,     0,   646,     0,   388,   366,   367,   377,   375,
     373,   379,   374,   382,   376,   383,   378,   380,   372,   381,
       0,   371,   365,   386,   385,   384,   387,   364,   501,   500,
     347,   346,   331,   328,   330,   329,   327,     0,   326,     0,
       0,     0,   348,   139,   140,   209,   205,   266,   253,   263,
     262,   251,   256,   274,   265,   272,   255,   258,   249,   268,
     271,   250,   267,   264,   273,   259,   261,   269,   270,   257,
     260,     0,   247,   202,   204,   206,   243,   232,   234,   235,
     236,   238,   239,   237,   241,   240,     0,   230,   207,   208,
     223,   216,   217,   220,   224,   215,   225,   218,   219,   222,
     226,   221,     0,   213,   203,   399,   397,   398,    55,    58,
      57,    56,   437,   442,   448,   451,   444,   450,   445,   449,
     447,   443,   446,     0,   441,   169,     0,     0,     0,     0,
     164,   414,   420,   426,   429,   422,   428,   423,   427,   425,
     421,   424,     0,   419,   415,    84,    83,     0,     0,     0,
       0,     0,    88,    89,    90,    91,    80,    82,    81,   316,
       0,    43,    44,    45,   484,     0,   152,   683,   679,   668,
     670,   666,   650,   369,     0,   324,     0,   345,   342,   341,
       0,     0,     0,   245,     0,     0,     0,     0,   228,     0,
     211,   214,   439,     0,     0,     0,     0,     0,   163,   417,
       0,    92,     0,     0,     0,     0,    87,   317,   485,   370,
     325,   252,   248,   254,   246,   242,   231,   233,   229,   212,
     440,   170,   172,   171,   179,   184,   183,   178,   181,   185,
     182,   177,   180,     0,   176,   418,     0,     0,     0,    86,
     174,     0,    94,    93,    95,   175
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1191, -1191, -1191,  -534,  -337, -1190,  -715, -1191, -1191, -1191,
     549, -1191, -1191, -1191, -1191, -1191, -1191,  1123, -1191, -1191,
   -1191, -1191, -1191, -1191,   530, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191,  -209, -1191, -1191, -1191, -1191, -1191,   908,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191,  1143, -1191, -1191, -1191, -1191, -1191, -1191,
     740, -1191, -1191, -1191, -1191, -1191,   768, -1191, -1191, -1191,
   -1191,   -48, -1191, -1191,  1097, -1191, -1191, -1191, -1191,    27,
   -1191, -1191, -1191, -1191, -1191,  -293, -1191, -1191, -1191,   638,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191,  -240, -1191, -1191, -1191,  -234, -1191, -1191, -1191,  -217,
   -1191, -1191, -1191,  1098, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191,  -187, -1191, -1191, -1191, -1191, -1191,
    -196, -1191,   746, -1191, -1191, -1191,   -43, -1191, -1191, -1191,
   -1191, -1191, -1191,   775, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191,  -135, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
     702, -1191, -1191, -1191, -1191, -1191,  1112, -1191, -1191, -1191,
   -1191,   649, -1191, -1191, -1191, -1191, -1191,  -157, -1191, -1191,
   -1191,   668, -1191, -1191, -1191, -1191,  -149, -1191, -1191, -1191,
     907, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191,  -119, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191,   813, -1191, -1191, -1191, -1191, -1191,  1113, -1191,
   -1191, -1191, -1191,  1185, -1191, -1191, -1191, -1191,  1115, -1191,
   -1191, -1191, -1191,  1161, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191,    48, -1191, -1191, -1191,    51, -1191, -1191, -1191,    74,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191,  1262, -1191, -1191,
   -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191, -1191,  1116, -1191, -1191, -1191, -1191, -1191,
   -1191, -1191, -1191
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,    28,   939,   940,  1224,  1225,    29,    73,   634,
     635,   636,   637,   638,   639,    30,   263,   264,   265,   266,
     267,    31,    78,   671,   672,   673,   674,   675,   676,   677,
     678,   920,  1411,  1412,  1413,  1414,  1415,    32,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    33,    83,    84,    85,    86,    87,    34,    68,   567,
     568,   569,   570,    35,    60,   436,   437,   438,   439,   440,
     993,   994,    36,   319,   320,   321,   322,   323,  1179,  1180,
    1181,  1182,  1183,  1388,  1493,  1494,    37,    69,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   863,
    1362,  1363,   594,   860,  1346,  1347,   595,   856,  1331,  1332,
      38,    57,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   705,  1210,  1211,    39,    66,   551,   839,  1297,
    1298,   552,   553,   554,  1301,  1121,  1122,   555,   556,   557,
      40,    64,   526,   527,   528,   529,   530,   531,   532,   823,
    1280,  1281,   533,   534,   535,   536,   537,    41,    70,   600,
     601,   602,   603,   604,    42,   326,   327,   328,    43,    77,
     659,   660,   661,   662,   663,   913,  1402,  1403,    44,    74,
     643,   644,   645,   646,   903,  1383,  1384,    45,    58,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   728,  1239,  1240,   421,   422,   423,   424,    46,
      65,   541,   542,   543,   544,    47,    59,   428,   429,   430,
     431,    48,   125,   126,   127,    49,    62,   447,   448,   449,
     450,    50,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   490,   246,   247,   248,
    1077,  1078,   249,   489,  1063,  1064,   250,   487,  1050,  1051,
     251,   252,   253,   254,   255,    51,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    52,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     968,   969,   970,   687,    55,   689,   690,   691,   967,  1237,
     259,  1407,  1221,  1222,  1223,   129,   324,    56,   130,    79,
     123,   131,   132,   425,   655,   564,  1208,   425,   133,   271,
     629,  1421,  1422,  1423,    61,   134,   135,   136,   137,    63,
     317,   138,   139,   324,    53,    54,   973,   974,   123,   140,
     141,    80,   801,   803,    67,   142,   802,   804,   143,   144,
      71,    81,   640,   145,   564,   317,   272,    72,  1250,   664,
     146,   147,  1251,   148,   149,   150,   151,    75,   273,    76,
     640,   665,   119,   152,  1256,   120,   596,   666,  1257,   153,
     154,   274,   275,   121,   276,   277,   278,   124,   538,   155,
     426,   655,   156,  1175,   426,   122,   128,   256,   538,  1209,
    1175,   157,   353,   257,  1455,   432,   756,   757,   158,   565,
     159,   279,   160,   260,   161,   124,   162,   163,   354,   355,
     770,   967,   325,   597,   774,    82,   258,   356,   164,   779,
     656,   165,   667,   783,   268,   269,   630,   166,   167,   168,
     169,   261,   170,   171,   172,   795,   796,   173,   565,   325,
     571,   631,   357,   358,   392,   270,   393,  1408,   262,   394,
     812,   427,   814,   815,   444,   427,   395,   315,   641,   572,
     598,  1409,   316,   396,   329,   668,   174,   330,  1410,  1261,
     331,   359,   651,  1262,   629,   332,   641,   175,   176,   177,
     178,   179,   180,   181,   182,   573,   333,  1263,   515,   397,
     433,  1264,   360,   361,   362,   290,    88,   656,   363,  1176,
     516,   334,   364,   558,   545,   566,  1176,   517,   365,  1238,
     444,   434,   183,   398,   599,   184,   399,  1407,   337,   574,
    -162,   366,   367,   400,    89,    90,   539,   291,   632,   669,
     670,   259,    91,   518,   401,   368,   539,   185,   186,   187,
     338,   188,   189,   435,   566,  -162,   339,   190,   340,   562,
    1465,   191,   615,   657,   513,   880,   575,   658,   335,   369,
     402,   432,   740,   633,   851,   370,   292,   519,   613,   899,
     445,   318,    92,   546,   341,   293,   342,    93,    94,   649,
     576,   547,   653,   548,    95,    96,   664,   442,   403,   647,
     630,   642,  1268,    97,    98,    99,   318,   577,   665,   294,
     343,   904,   446,   295,   666,   631,   371,  1177,   924,   642,
     404,   296,   578,   344,  1177,   297,   298,  1269,   579,   580,
     100,   101,   405,  1292,  1270,   871,   445,   679,   520,  1419,
     657,   540,  1178,  1420,   658,  1271,  1484,   521,   522,  1178,
     915,   540,   102,    79,   260,   954,   345,   834,   549,  1389,
     959,   718,   545,   962,   746,  1293,   433,   966,   446,   667,
     346,   347,   523,  1294,  1272,  1485,   524,  1486,   596,   348,
     349,   581,   261,  1408,   406,    80,   350,   434,  1196,  1197,
    1198,  1199,  1200,  1201,  1202,    81,  1424,  1409,   441,   262,
    1425,   451,   632,   582,  1410,  1273,  1274,  1275,   407,   865,
     452,   682,   668,   736,   299,  1276,  1433,  1435,  1443,   435,
    1434,  1436,  1444,   752,   453,   597,   454,   129,  1487,   455,
     130,   546,   456,   131,   132,   457,   290,   633,  1448,   547,
     133,   548,  1449,  1277,   550,   680,  1488,   134,   135,   136,
     137,   525,  1450,   138,   139,   681,  1451,   830,   458,   300,
     301,   140,   141,  1278,   627,   351,   685,   142,   291,    82,
     143,   144,   598,   842,  1452,   145,   669,   670,  1453,   571,
    1459,   695,   146,   147,  1460,   148,   149,   150,   151,  1489,
    1490,   459,  1500,   460,   461,   152,  1501,   462,   572,   463,
     464,   153,   154,   465,   466,   467,   549,   292,   468,   469,
     392,   155,   393,   470,   156,   394,   293,   471,   472,   473,
     474,  1295,   395,   157,   573,   475,   599,   476,  1279,   396,
     158,  1296,   159,   477,   160,   478,   161,   479,   162,   163,
     294,   686,   480,   481,   295,  1491,   482,   483,   484,  1492,
     164,  1307,   296,   165,   485,   397,   297,   298,   574,   166,
     167,   168,   169,   486,   170,   171,   172,   488,   491,   173,
     492,  1308,   932,   933,   934,   935,   936,   937,   938,   398,
    1309,   493,   399,   494,   515,   495,   496,   497,   498,   400,
     499,   500,   550,   501,   502,   575,   516,   503,   174,   504,
     401,  1310,   505,   517,   506,   507,   508,   509,   510,   175,
     176,   177,   178,   179,   180,   181,   182,   511,   512,   576,
     559,   560,   561,   683,   605,   606,   402,   607,   608,   518,
    1311,   609,  1312,   610,   611,   612,   577,   616,   617,   684,
     618,   619,   620,   621,   183,   299,   622,   184,   623,   624,
     625,   578,   271,   626,   403,   648,   652,   579,   580,   686,
    1313,   688,  1456,   519,   692,   693,   694,   696,   698,   185,
     186,   187,   697,   188,   189,   699,   404,     2,     3,   190,
     700,   701,     4,   191,   702,   703,   704,   720,   405,   272,
     300,   301,   754,     5,   706,   707,   708,     6,  1314,   709,
    1315,   273,     7,   710,   711,   712,   713,   714,   715,     8,
     581,   716,  1373,   717,   274,   275,     9,   276,   277,   278,
     721,   722,   723,  1316,   520,    10,   724,   725,   726,   727,
      11,    12,   582,   521,   522,   729,   730,   731,   732,  1392,
     406,   733,   734,   735,   279,  1317,  1318,   738,   739,   353,
    1319,   742,   743,   744,  1320,   745,    13,  1321,   523,   748,
    1322,    14,   524,  1323,   407,   354,   355,   749,   750,  1324,
     755,    15,   763,   751,   356,   758,   759,   760,   765,   766,
    1325,  1374,   761,  1326,   762,  1327,  1328,  1038,   772,   764,
    1039,   767,    16,    17,   768,   769,  1040,  1329,  1041,   357,
     358,  1042,   771,   773,  1330,  1043,  1044,  1045,  1393,   775,
     776,  1053,   777,   778,    18,  1046,   780,  1336,  1375,   781,
    1047,  1048,   782,   784,   785,  1376,   786,   787,   359,   788,
     789,  1049,    19,   791,  1377,   790,   792,   525,   793,   794,
     797,   798,   799,   800,   805,  1394,    20,    21,   806,   360,
     361,   362,  1395,   807,   808,   363,   809,   810,   811,   364,
    1378,  1396,  1379,  1380,   813,   365,   816,    88,    22,   817,
     820,   821,   822,    23,   818,   819,   824,  1381,   366,   367,
     825,   826,   827,   828,  1382,   829,    24,  1397,   844,  1398,
    1399,   845,   368,   836,   847,    89,    90,    25,   832,   833,
     837,    26,   838,    91,  1400,   846,   840,    27,   841,   849,
     850,  1401,  1054,   848,  1055,   853,   369,  1056,  1337,   854,
    1338,  1057,   370,  1339,   855,   857,   858,  1340,   859,   861,
    1058,   862,   867,   864,   868,  1059,  1341,   869,   870,   876,
     881,  1342,   873,    92,   874,  1060,   875,  1061,    93,    94,
     877,  1343,  1062,  1344,   878,    95,    96,   879,  1345,   882,
     883,   884,   885,   371,    97,    98,    99,  1065,   886,   887,
    1066,   888,   889,   890,   891,   892,  1067,   906,  1068,   893,
     894,  1069,   901,   907,   895,  1070,  1071,  1072,   896,   897,
     898,   100,   101,   902,   908,  1073,  1350,   909,   910,  1351,
    1074,  1075,   911,   912,   952,  1352,   914,  1353,   917,   918,
    1354,  1076,   919,   102,  1355,  1356,  1357,   921,   922,   923,
     926,   927,   928,   929,  1358,   930,   931,   941,   942,  1359,
    1360,   943,   953,   944,   945,   946,   947,   948,   949,   950,
    1361,   951,   955,   956,   958,   957,   960,   961,   963,   964,
     965,   967,   972,   971,   975,   976,   977,   978,   979,   980,
     983,  1105,   981,   988,   991,   982,   997,   998,  1001,   984,
     985,   986,   987,   989,   990,   992,   995,  1002,   996,   999,
    1000,  1003,  1103,  1004,  1104,  1107,  1005,  1108,  1109,  1006,
    1007,  1008,  1110,  1009,  1010,  1011,  1012,  1013,  1111,  1014,
    1015,  1016,  1017,  1112,  1018,  1019,  1020,  1021,  1022,  1023,
    1114,  1024,  1025,  1026,  1027,  1028,  1029,  1030,  1031,  1032,
    1033,  1034,  1035,  1036,  1037,  1115,  1052,  1079,  1080,  1081,
    1082,  1083,  1084,  1085,  1117,  1086,  1087,  1088,  1089,  1090,
    1091,  1092,  1093,  1094,  1095,  1096,  1097,  1098,  1099,  1100,
    1101,  1102,  1118,  1113,  1116,  1106,  1120,  1123,  1119,  1124,
    1125,  1128,  1129,  1126,  1127,  1131,  1130,  1134,  1135,  1136,
    1138,  1141,  1133,   900,  1143,  1144,  1145,  1132,  1166,  1168,
    1169,  1171,  1139,  1185,  1187,  1189,  1167,  1190,  1192,  1193,
    1194,   925,  1466,  1426,   747,  1437,  1390,  1454,  1505,  1137,
     628,  1479,  1142,  1140,  1146,  1478,  1147,  1148,  1149,  1150,
    1151,   866,  1152,  1153,  1154,  1155,   336,  1474,  1156,  1157,
    1158,  1159,  1160,  1467,  1161,  1162,  1163,  1164,  1165,  1170,
    1470,  1173,  1174,  1172,  1184,  1188,  1186,  1195,  1191,  1203,
    1204,  1205,  1206,  1207,  1212,  1213,  1214,  1438,  1215,  1216,
    1217,  1218,  1219,  1220,  1226,  1227,  1228,  1229,  1230,  1231,
    1232,  1233,  1234,  1235,  1236,  1428,  1241,  1242,  1243,  1244,
    1429,  1245,  1246,  1247,  1430,  1471,  1248,  1249,  1472,  1252,
    1473,  1475,  1476,  1477,  1496,  1253,  1497,  1498,   843,  1469,
    1254,   831,   872,  1495,  1480,  1255,  1468,   852,   916,  1299,
     443,   905,  1432,  1431,  1258,   737,  1265,  1266,  1267,  1259,
    1260,  1282,  1283,  1284,  1285,  1286,  1287,  1288,  1289,  1290,
    1291,  1427,  1302,  1303,  1304,  1300,  1305,  1306,  1333,  1334,
    1335,  1348,  1349,  1364,  1365,  1366,  1367,  1368,  1369,  1370,
    1371,  1372,  1385,   514,   835,  1391,  1386,  1387,  1404,  1405,
    1406,  1416,  1417,  1418,  1439,   352,     0,     0,     0,     0,
    1440,  1441,  1442,  1445,  1446,  1447,  1457,  1458,  1461,  1462,
       0,     0,  1463,  1464,  1481,  1482,   563,  1483,  1499,  1502,
       0,     0,  1503,  1504,     0,     0,   614,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   650,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   654,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   741,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   753
};

static const yytype_int16 yycheck[] =
{
     715,   716,   717,   340,   261,   342,   343,   344,   129,     9,
       1,     1,    10,    11,    12,     1,     1,   261,     4,     1,
       1,     7,     8,     1,     1,     1,    65,     1,    14,     1,
       1,  1221,  1222,  1223,   261,    21,    22,    23,    24,   261,
       1,    27,    28,     1,   259,   260,   206,   207,     1,    35,
      36,    33,   242,   242,   261,    41,   246,   246,    44,    45,
     261,    43,     1,    49,     1,     1,    38,   261,   259,     1,
      56,    57,   263,    59,    60,    61,    62,   261,    50,   261,
       1,    13,   261,    69,   259,   261,     1,    19,   263,    75,
      76,    63,    64,   261,    66,    67,    68,    78,     1,    85,
      78,     1,    88,     1,    78,   261,   261,   261,     1,   148,
       1,    97,     1,   261,   235,     1,   453,   454,   104,    95,
     106,    93,   108,   114,   110,    78,   112,   113,    17,    18,
     467,   129,   117,    48,   471,   117,   261,    26,   124,   476,
     117,   127,    74,   480,   261,   261,   117,   133,   134,   135,
     136,   142,   138,   139,   140,   492,   493,   143,    95,   117,
       1,   132,    51,    52,     1,   261,     3,   157,   159,     6,
     507,   149,   509,   510,     1,   149,    13,   261,   117,    20,
      95,   171,   261,    20,   261,   117,   172,   261,   178,   259,
     259,    80,   201,   263,     1,   262,   117,   183,   184,   185,
     186,   187,   188,   189,   190,    46,   262,   259,     1,    46,
      96,   263,   101,   102,   103,     1,     1,   117,   107,   117,
      13,   262,   111,   259,     1,   201,   117,    20,   117,   229,
       1,   117,   218,    70,   149,   221,    73,     1,   262,    80,
     201,   130,   131,    80,    29,    30,   149,    33,   219,   181,
     182,     1,    37,    46,    91,   144,   149,   243,   244,   245,
     262,   247,   248,   149,   201,   201,   262,   253,   262,   260,
     260,   257,   259,   250,   260,   612,   117,   254,   260,   168,
     117,     1,   260,   254,   260,   174,    72,    80,   260,   260,
     117,   252,    77,    70,   262,    81,   262,    82,    83,   260,
     141,    78,   260,    80,    89,    90,     1,   260,   145,   259,
     117,   250,    15,    98,    99,   100,   252,   158,    13,   105,
     262,   260,   149,   109,    19,   132,   215,   225,   260,   250,
     167,   117,   173,   262,   225,   121,   122,    40,   179,   180,
     125,   126,   179,    31,    47,   260,   117,   146,   141,   259,
     250,   254,   250,   263,   254,    58,    55,   150,   151,   250,
     260,   254,   147,     1,   114,   702,   262,   260,   145,   260,
     707,   260,     1,   710,   260,    63,    96,   714,   149,    74,
     262,   262,   175,    71,    87,    84,   179,    86,     1,   262,
     262,   232,   142,   157,   231,    33,   262,   117,   932,   933,
     934,   935,   936,   937,   938,    43,   259,   171,   262,   159,
     263,   262,   219,   254,   178,   118,   119,   120,   255,   260,
     262,   259,   117,   260,   210,   128,   259,   259,   259,   149,
     263,   263,   263,   260,   262,    48,   262,     1,   137,   262,
       4,    70,   262,     7,     8,   262,     1,   254,   259,    78,
      14,    80,   263,   156,   231,   146,   155,    21,    22,    23,
      24,   254,   259,    27,    28,   146,   263,   260,   262,   255,
     256,    35,    36,   176,   260,   260,   242,    41,    33,   117,
      44,    45,    95,   260,   259,    49,   181,   182,   263,     1,
     259,   242,    56,    57,   263,    59,    60,    61,    62,   198,
     199,   262,   259,   262,   262,    69,   263,   262,    20,   262,
     262,    75,    76,   262,   262,   262,   145,    72,   262,   262,
       1,    85,     3,   262,    88,     6,    81,   262,   262,   262,
     262,   219,    13,    97,    46,   262,   149,   262,   241,    20,
     104,   229,   106,   262,   108,   262,   110,   262,   112,   113,
     105,   129,   262,   262,   109,   254,   262,   262,   262,   258,
     124,     5,   117,   127,   262,    46,   121,   122,    80,   133,
     134,   135,   136,   262,   138,   139,   140,   262,   262,   143,
     262,    25,   160,   161,   162,   163,   164,   165,   166,    70,
      34,   262,    73,   262,     1,   262,   262,   262,   262,    80,
     262,   262,   231,   262,   262,   117,    13,   262,   172,   262,
      91,    55,   262,    20,   262,   262,   262,   262,   262,   183,
     184,   185,   186,   187,   188,   189,   190,   262,   262,   141,
     262,   262,   262,   129,   262,   262,   117,   262,   262,    46,
      84,   262,    86,   262,   262,   262,   158,   262,   262,   129,
     262,   262,   262,   262,   218,   210,   262,   221,   262,   262,
     262,   173,     1,   262,   145,   262,   262,   179,   180,   129,
     114,   129,  1387,    80,   129,   129,   129,   242,   259,   243,
     244,   245,   242,   247,   248,   259,   167,     0,     1,   253,
     262,   262,     5,   257,   262,   262,   262,   259,   179,    38,
     255,   256,   242,    16,   262,   262,   262,    20,   152,   262,
     154,    50,    25,   262,   262,   262,   262,   262,   262,    32,
     232,   262,    86,   262,    63,    64,    39,    66,    67,    68,
     262,   262,   262,   177,   141,    48,   262,   262,   262,   262,
      53,    54,   254,   150,   151,   262,   262,   262,   262,    86,
     231,   262,   262,   262,    93,   199,   200,   262,   262,     1,
     204,   259,   262,   262,   208,   262,    79,   211,   175,   146,
     214,    84,   179,   217,   255,    17,    18,   259,   262,   223,
     242,    94,   129,   262,    26,   146,   146,   146,   146,   129,
     234,   155,   242,   237,   242,   239,   240,   194,   129,   242,
     197,   242,   115,   116,   242,   242,   203,   251,   205,    51,
      52,   208,   242,   129,   258,   212,   213,   214,   155,   129,
     242,    92,   242,   242,   137,   222,   146,    92,   192,   129,
     227,   228,   129,   129,   129,   199,   129,   129,    80,   242,
     242,   238,   155,   242,   208,   262,   262,   254,   262,   242,
     242,   242,   146,   242,   242,   192,   169,   170,   242,   101,
     102,   103,   199,   242,   242,   107,   146,   146,   129,   111,
     234,   208,   236,   237,   242,   117,   242,     1,   191,   242,
     262,   262,   262,   196,   259,   259,   262,   251,   130,   131,
     262,   262,   262,   262,   258,   262,   209,   234,   146,   236,
     237,   146,   144,   259,   259,    29,    30,   220,   262,   262,
     262,   224,   262,    37,   251,   146,   262,   230,   262,   262,
     262,   258,   193,   259,   195,   259,   168,   198,   193,   262,
     195,   202,   174,   198,   262,   262,   262,   202,   262,   262,
     211,   262,   259,   262,   262,   216,   211,   262,   262,   146,
     259,   216,   242,    77,   242,   226,   242,   228,    82,    83,
     242,   226,   233,   228,   242,    89,    90,   242,   233,   146,
     242,   146,   129,   215,    98,    99,   100,   194,   129,   146,
     197,   146,   146,   129,   146,   146,   203,   242,   205,   259,
     259,   208,   259,   259,   262,   212,   213,   214,   262,   262,
     262,   125,   126,   262,   261,   222,   194,   146,   259,   197,
     227,   228,   259,   262,   129,   203,   262,   205,   259,   262,
     208,   238,   262,   147,   212,   213,   214,   262,   262,   262,
     259,   259,   259,   259,   222,   259,   259,   259,   259,   227,
     228,   259,   129,   259,   259,   259,   259,   259,   259,   259,
     238,   259,   129,   129,   129,   262,   129,   129,   146,   129,
     129,   129,   146,   259,   146,   146,   242,   146,   146,   262,
     129,   242,   146,   259,   259,   146,   259,   259,   259,   146,
     146,   146,   146,   146,   146,   146,   146,   259,   146,   146,
     146,   259,   146,   259,   146,   146,   259,   129,   146,   259,
     259,   259,   146,   259,   259,   259,   259,   259,   146,   259,
     259,   259,   259,   146,   259,   259,   259,   259,   259,   259,
     146,   259,   259,   259,   259,   259,   259,   259,   259,   259,
     259,   259,   259,   259,   259,   146,   259,   259,   259,   259,
     259,   259,   259,   259,   146,   259,   259,   259,   259,   259,
     259,   259,   259,   259,   259,   259,   259,   259,   259,   259,
     259,   259,   146,   259,   259,   262,   129,   146,   262,   259,
     259,   146,   146,   259,   259,   146,   259,   146,   146,   146,
     146,   146,   262,   634,   146,   146,   146,   242,   146,   146,
     146,   146,   242,   146,   146,   146,   242,   146,   146,   146,
     146,   671,  1411,  1251,   436,   129,  1179,   146,  1501,   262,
     302,  1451,   259,   262,   259,  1449,   259,   259,   259,   259,
     259,   583,   259,   259,   259,   259,    83,  1444,   259,   259,
     259,   259,   259,  1420,   259,   259,   259,   259,   259,   259,
    1436,   259,   259,   262,   259,   259,   262,   259,   261,   259,
     259,   259,   259,   259,   259,   259,   259,  1300,   259,   259,
     259,   259,   259,   259,   259,   259,   259,   259,   259,   259,
     259,   259,   259,   259,   259,   153,   259,   259,   259,   259,
     153,   259,   259,   259,   153,   153,   259,   259,   153,   259,
     153,   153,   153,   153,   146,   259,   146,   146,   552,  1434,
     259,   526,   600,  1460,  1453,   259,  1425,   567,   659,   249,
     125,   643,  1264,  1262,   264,   408,   259,   259,   259,   264,
     264,   259,   259,   259,   259,   259,   259,   259,   259,   259,
     259,  1257,   259,   259,   259,   263,   259,   259,   259,   259,
     259,   259,   259,   259,   259,   259,   259,   259,   259,   259,
     259,   259,   259,   192,   541,   259,   262,   262,   259,   259,
     259,   259,   259,   259,   259,   103,    -1,    -1,    -1,    -1,
     264,   264,   264,   264,   264,   264,   262,   259,   259,   262,
      -1,    -1,   262,   262,   259,   259,   263,   259,   259,   259,
      -1,    -1,   259,   259,    -1,    -1,   280,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   447
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   266,     0,     1,     5,    16,    20,    25,    32,    39,
      48,    53,    54,    79,    84,    94,   115,   116,   137,   155,
     169,   170,   191,   196,   209,   220,   224,   230,   267,   272,
     280,   286,   302,   316,   322,   328,   337,   351,   375,   400,
     415,   432,   439,   443,   453,   462,   484,   490,   496,   500,
     506,   580,   597,   259,   260,   261,   261,   376,   463,   491,
     329,   261,   501,   261,   416,   485,   401,   261,   323,   352,
     433,   261,   261,   273,   454,   261,   261,   444,   287,     1,
      33,    43,   117,   317,   318,   319,   320,   321,     1,    29,
      30,    37,    77,    82,    83,    89,    90,    98,    99,   100,
     125,   126,   147,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   261,
     261,   261,   261,     1,    78,   497,   498,   499,   261,     1,
       4,     7,     8,    14,    21,    22,    23,    24,    27,    28,
      35,    36,    41,    44,    45,    49,    56,    57,    59,    60,
      61,    62,    69,    75,    76,    85,    88,    97,   104,   106,
     108,   110,   112,   113,   124,   127,   133,   134,   135,   136,
     138,   139,   140,   143,   172,   183,   184,   185,   186,   187,
     188,   189,   190,   218,   221,   243,   244,   245,   247,   248,
     253,   257,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   562,   563,   564,   567,
     571,   575,   576,   577,   578,   579,   261,   261,   261,     1,
     114,   142,   159,   281,   282,   283,   284,   285,   261,   261,
     261,     1,    38,    50,    63,    64,    66,    67,    68,    93,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
       1,    33,    72,    81,   105,   109,   117,   121,   122,   210,
     255,   256,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   261,   261,     1,   252,   338,
     339,   340,   341,   342,     1,   117,   440,   441,   442,   261,
     261,   259,   262,   262,   262,   260,   318,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   260,   582,     1,    17,    18,    26,    51,    52,    80,
     101,   102,   103,   107,   111,   117,   130,   131,   144,   168,
     174,   215,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     1,     3,     6,    13,    20,    46,    70,    73,
      80,    91,   117,   145,   167,   179,   231,   255,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   480,   481,   482,   483,     1,    78,   149,   492,   493,
     494,   495,     1,    96,   117,   149,   330,   331,   332,   333,
     334,   262,   260,   498,     1,   117,   149,   502,   503,   504,
     505,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   572,   262,   568,
     561,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   260,   508,     1,    13,    20,    46,    80,
     141,   150,   151,   175,   179,   254,   417,   418,   419,   420,
     421,   422,   423,   427,   428,   429,   430,   431,     1,   149,
     254,   486,   487,   488,   489,     1,    70,    78,    80,   145,
     231,   402,   406,   407,   408,   412,   413,   414,   259,   262,
     262,   262,   260,   282,     1,    95,   201,   324,   325,   326,
     327,     1,    20,    46,    80,   117,   141,   158,   173,   179,
     180,   232,   254,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   367,   371,     1,    48,    95,   149,
     434,   435,   436,   437,   438,   262,   262,   262,   262,   262,
     262,   262,   262,   260,   599,   259,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   260,   304,     1,
     117,   132,   219,   254,   274,   275,   276,   277,   278,   279,
       1,   117,   250,   455,   456,   457,   458,   259,   262,   260,
     339,   201,   262,   260,   441,     1,   117,   250,   254,   445,
     446,   447,   448,   449,     1,    13,    19,    74,   117,   181,
     182,   288,   289,   290,   291,   292,   293,   294,   295,   146,
     146,   146,   259,   129,   129,   242,   129,   269,   129,   269,
     269,   269,   129,   129,   129,   242,   242,   242,   259,   259,
     262,   262,   262,   262,   262,   397,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   260,   378,
     259,   262,   262,   262,   262,   262,   262,   262,   477,   262,
     262,   262,   262,   262,   262,   262,   260,   465,   262,   262,
     260,   493,   259,   262,   262,   262,   260,   331,   146,   259,
     262,   262,   260,   503,   242,   242,   269,   269,   146,   146,
     146,   242,   242,   129,   242,   146,   129,   242,   242,   242,
     269,   242,   129,   129,   269,   129,   242,   242,   242,   269,
     146,   129,   129,   269,   129,   129,   129,   129,   242,   242,
     262,   242,   262,   262,   242,   269,   269,   242,   242,   146,
     242,   242,   246,   242,   246,   242,   242,   242,   242,   146,
     146,   129,   269,   242,   269,   269,   242,   242,   259,   259,
     262,   262,   262,   424,   262,   262,   262,   262,   262,   262,
     260,   418,   262,   262,   260,   487,   259,   262,   262,   403,
     262,   262,   260,   407,   146,   146,   146,   259,   259,   262,
     262,   260,   325,   259,   262,   262,   372,   262,   262,   262,
     368,   262,   262,   364,   262,   260,   354,   259,   262,   262,
     262,   260,   435,   242,   242,   242,   146,   242,   242,   242,
     269,   259,   146,   242,   146,   129,   129,   146,   146,   146,
     129,   146,   146,   259,   259,   262,   262,   262,   262,   260,
     275,   259,   262,   459,   260,   456,   242,   259,   261,   146,
     259,   259,   262,   450,   262,   260,   446,   259,   262,   262,
     296,   262,   262,   262,   260,   289,   259,   259,   259,   259,
     259,   259,   160,   161,   162,   163,   164,   165,   166,   268,
     269,   259,   259,   259,   259,   259,   259,   259,   259,   259,
     259,   259,   129,   129,   269,   129,   129,   262,   129,   269,
     129,   129,   269,   146,   129,   129,   269,   129,   271,   271,
     271,   259,   146,   206,   207,   146,   146,   242,   146,   146,
     262,   146,   146,   129,   146,   146,   146,   146,   259,   146,
     146,   259,   146,   335,   336,   146,   146,   259,   259,   146,
     146,   259,   259,   259,   259,   259,   259,   259,   259,   259,
     259,   259,   259,   259,   259,   259,   259,   259,   259,   259,
     259,   259,   259,   259,   259,   259,   259,   259,   259,   259,
     259,   259,   259,   259,   259,   259,   259,   259,   194,   197,
     203,   205,   208,   212,   213,   214,   222,   227,   228,   238,
     573,   574,   259,    92,   193,   195,   198,   202,   211,   216,
     226,   228,   233,   569,   570,   194,   197,   203,   205,   208,
     212,   213,   214,   222,   227,   228,   238,   565,   566,   259,
     259,   259,   259,   259,   259,   259,   259,   259,   259,   259,
     259,   259,   259,   259,   259,   259,   259,   259,   259,   259,
     259,   259,   259,   146,   146,   242,   262,   146,   129,   146,
     146,   146,   146,   259,   146,   146,   259,   146,   146,   262,
     129,   410,   411,   146,   259,   259,   259,   259,   146,   146,
     259,   146,   242,   262,   146,   146,   146,   262,   146,   242,
     262,   146,   259,   146,   146,   146,   259,   259,   259,   259,
     259,   259,   259,   259,   259,   259,   259,   259,   259,   259,
     259,   259,   259,   259,   259,   259,   146,   242,   146,   146,
     259,   146,   262,   259,   259,     1,   117,   225,   250,   343,
     344,   345,   346,   347,   259,   146,   262,   146,   259,   146,
     146,   261,   146,   146,   146,   259,   268,   268,   268,   268,
     268,   268,   268,   259,   259,   259,   259,   259,    65,   148,
     398,   399,   259,   259,   259,   259,   259,   259,   259,   259,
     259,    10,    11,    12,   270,   271,   259,   259,   259,   259,
     259,   259,   259,   259,   259,   259,   259,     9,   229,   478,
     479,   259,   259,   259,   259,   259,   259,   259,   259,   259,
     259,   263,   259,   259,   259,   259,   259,   263,   264,   264,
     264,   259,   263,   259,   263,   259,   259,   259,    15,    40,
      47,    58,    87,   118,   119,   120,   128,   156,   176,   241,
     425,   426,   259,   259,   259,   259,   259,   259,   259,   259,
     259,   259,    31,    63,    71,   219,   229,   404,   405,   249,
     263,   409,   259,   259,   259,   259,   259,     5,    25,    34,
      55,    84,    86,   114,   152,   154,   177,   199,   200,   204,
     208,   211,   214,   217,   223,   234,   237,   239,   240,   251,
     258,   373,   374,   259,   259,   259,    92,   193,   195,   198,
     202,   211,   216,   226,   228,   233,   369,   370,   259,   259,
     194,   197,   203,   205,   208,   212,   213,   214,   222,   227,
     228,   238,   365,   366,   259,   259,   259,   259,   259,   259,
     259,   259,   259,    86,   155,   192,   199,   208,   234,   236,
     237,   251,   258,   460,   461,   259,   262,   262,   348,   260,
     344,   259,    86,   155,   192,   199,   208,   234,   236,   237,
     251,   258,   451,   452,   259,   259,   259,     1,   157,   171,
     178,   297,   298,   299,   300,   301,   259,   259,   259,   259,
     263,   270,   270,   270,   259,   263,   336,   574,   153,   153,
     153,   570,   566,   259,   263,   259,   263,   129,   411,   259,
     264,   264,   264,   259,   263,   264,   264,   264,   259,   263,
     259,   263,   259,   263,   146,   235,   271,   262,   259,   259,
     263,   259,   262,   262,   262,   260,   298,   399,   479,   426,
     405,   153,   153,   153,   374,   153,   153,   153,   370,   366,
     461,   259,   259,   259,    55,    84,    86,   137,   155,   198,
     199,   254,   258,   349,   350,   452,   146,   146,   146,   259,
     259,   263,   259,   259,   259,   350
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   265,   266,   266,   267,   267,   267,   267,   267,   267,
     267,   267,   267,   267,   267,   267,   267,   267,   267,   267,
     267,   267,   267,   267,   267,   267,   267,   267,   267,   267,
     268,   268,   269,   269,   269,   269,   269,   269,   269,   269,
     270,   270,   271,   271,   271,   271,   273,   272,   274,   274,
     275,   275,   275,   275,   275,   276,   277,   278,   279,   280,
     281,   281,   282,   282,   282,   282,   283,   284,   285,   287,
     286,   288,   288,   289,   289,   289,   289,   289,   289,   289,
     290,   291,   292,   293,   294,   296,   295,   297,   297,   298,
     298,   298,   298,   299,   300,   301,   302,   303,   303,   304,
     304,   304,   304,   304,   304,   304,   304,   304,   304,   304,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   317,   318,   318,   318,   318,   319,
     320,   321,   323,   322,   324,   324,   325,   325,   325,   326,
     327,   329,   328,   330,   330,   331,   331,   331,   331,   332,
     333,   334,   335,   335,   336,   337,   338,   338,   339,   339,
     339,   340,   342,   341,   343,   343,   344,   344,   344,   344,
     345,   346,   346,   348,   347,   349,   349,   350,   350,   350,
     350,   350,   350,   350,   350,   350,   352,   351,   353,   353,
     354,   354,   354,   354,   354,   354,   354,   354,   354,   354,
     354,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     364,   363,   365,   365,   366,   366,   366,   366,   366,   366,
     366,   366,   366,   366,   366,   366,   366,   368,   367,   369,
     369,   370,   370,   370,   370,   370,   370,   370,   370,   370,
     370,   370,   370,   370,   372,   371,   373,   373,   374,   374,
     374,   374,   374,   374,   374,   374,   374,   374,   374,   374,
     374,   374,   374,   374,   374,   374,   374,   374,   374,   374,
     374,   374,   374,   374,   374,   376,   375,   377,   377,   378,
     378,   378,   378,   378,   378,   378,   378,   378,   378,   378,
     378,   378,   378,   378,   378,   378,   378,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   397,   396,   398,   398,   399,
     399,   401,   400,   403,   402,   404,   404,   405,   405,   405,
     405,   405,   406,   406,   407,   407,   407,   407,   407,   407,
     409,   408,   410,   410,   411,   411,   412,   413,   414,   416,
     415,   417,   417,   418,   418,   418,   418,   418,   418,   418,
     418,   418,   418,   418,   419,   420,   421,   422,   424,   423,
     425,   425,   426,   426,   426,   426,   426,   426,   426,   426,
     426,   426,   426,   426,   427,   428,   429,   430,   431,   433,
     432,   434,   434,   435,   435,   435,   435,   436,   437,   438,
     439,   440,   440,   441,   441,   442,   444,   443,   445,   445,
     446,   446,   446,   446,   447,   448,   450,   449,   451,   451,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     454,   453,   455,   455,   456,   456,   456,   457,   459,   458,
     460,   460,   461,   461,   461,   461,   461,   461,   461,   461,
     461,   461,   463,   462,   464,   464,   465,   465,   465,   465,
     465,   465,   465,   465,   465,   465,   465,   465,   465,   465,
     465,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   475,   477,   476,   478,   478,   479,   479,   480,
     481,   482,   483,   485,   484,   486,   486,   487,   487,   487,
     488,   489,   491,   490,   492,   492,   493,   493,   493,   494,
     495,   496,   497,   497,   498,   498,   499,   501,   500,   502,
     502,   503,   503,   503,   504,   505,   506,   507,   507,   508,
     508,   508,   508,   508,   508,   508,   508,   508,   508,   508,
     508,   508,   508,   508,   508,   508,   508,   508,   508,   508,
     508,   508,   508,   508,   508,   508,   508,   508,   508,   508,
     508,   508,   508,   508,   508,   508,   508,   508,   508,   508,
     508,   508,   508,   508,   508,   508,   508,   508,   508,   508,
     508,   508,   508,   508,   508,   508,   508,   508,   508,   508,
     508,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   541,   542,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   561,   560,   562,   563,   564,
     565,   565,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   566,   568,   567,   569,   569,   570,   570,
     570,   570,   570,   570,   570,   570,   570,   570,   570,   570,
     570,   572,   571,   573,   573,   574,   574,   574,   574,   574,
     574,   574,   574,   574,   574,   574,   574,   575,   576,   577,
     578,   579,   580,   581,   581,   582,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   582,   582,   582,   582,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   598,   599,   599,   599,
     599,   599,   599,   599,   599,   599,   600,   601,   602,   603,
     604,   605,   606,   607
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     0,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       0,     1,     2,     3,     3,     3,     3,     3,     3,     3,
       0,     1,     2,     3,     3,     3,     0,     6,     2,     1,
       1,     1,     1,     1,     2,     4,     4,     4,     4,     5,
       2,     1,     1,     1,     1,     2,     4,     4,     4,     0,
       6,     2,     1,     1,     1,     1,     1,     1,     1,     2,
       4,     4,     4,     4,     4,     0,     6,     2,     1,     1,
       1,     1,     2,     4,     4,     4,     5,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     5,     2,     1,     1,     1,     1,     2,     4,
       4,     4,     0,     6,     2,     1,     1,     1,     2,     4,
       4,     0,     6,     2,     1,     1,     1,     1,     2,     4,
       4,     4,     3,     1,     1,     5,     2,     1,     1,     1,
       2,     4,     0,     6,     2,     1,     1,     1,     1,     2,
       4,     4,     4,     0,     5,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     6,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     4,     4,     4,     4,     4,     4,     4,     4,
       0,     5,     3,     1,     0,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     0,     5,     3,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     0,     5,     3,     1,     3,     1,
       1,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     6,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     0,     5,     3,     1,     1,
       1,     0,     6,     0,     5,     3,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     2,
       0,     5,     3,     1,     1,     3,     4,     4,     4,     0,
       6,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     4,     4,     4,     4,     0,     5,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     4,     4,     4,     4,     0,
       6,     2,     1,     1,     1,     1,     2,     4,     4,     4,
       5,     2,     1,     1,     1,     4,     0,     6,     2,     1,
       1,     1,     1,     2,     4,     4,     0,     5,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     6,     2,     1,     1,     1,     2,     4,     0,     5,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     6,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     0,     5,     3,     1,     1,     1,     4,
       4,     4,     4,     0,     6,     2,     1,     1,     1,     1,
       4,     4,     0,     6,     2,     1,     1,     1,     1,     4,
       4,     5,     2,     1,     1,     1,     4,     0,     6,     2,
       1,     1,     1,     1,     4,     4,     5,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     0,     5,     4,     4,     4,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     5,     3,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     0,     5,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     4,     4,
       4,     4,     5,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     5,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     4,     4,     4,
       4,     4,     4,     4
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 30:
#line 452 "conf_parser.y" /* yacc.c:1646  */
    { (yyval.number) = 0; }
#line 3110 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 32:
#line 454 "conf_parser.y" /* yacc.c:1646  */
    {
			(yyval.number) = (yyvsp[-1].number) + (yyvsp[0].number);
		}
#line 3118 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 33:
#line 458 "conf_parser.y" /* yacc.c:1646  */
    {
			(yyval.number) = (yyvsp[-2].number) + (yyvsp[0].number);
		}
#line 3126 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 34:
#line 462 "conf_parser.y" /* yacc.c:1646  */
    {
			(yyval.number) = (yyvsp[-2].number) * 60 + (yyvsp[0].number);
		}
#line 3134 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 35:
#line 466 "conf_parser.y" /* yacc.c:1646  */
    {
			(yyval.number) = (yyvsp[-2].number) * 60 * 60 + (yyvsp[0].number);
		}
#line 3142 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 36:
#line 470 "conf_parser.y" /* yacc.c:1646  */
    {
			(yyval.number) = (yyvsp[-2].number) * 60 * 60 * 24 + (yyvsp[0].number);
		}
#line 3150 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 37:
#line 474 "conf_parser.y" /* yacc.c:1646  */
    {
			(yyval.number) = (yyvsp[-2].number) * 60 * 60 * 24 * 7 + (yyvsp[0].number);
		}
#line 3158 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 38:
#line 478 "conf_parser.y" /* yacc.c:1646  */
    {
                        (yyval.number) = (yyvsp[-2].number) * 60 * 60 * 24 * 7 * 4 + (yyvsp[0].number);
                }
#line 3166 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 39:
#line 482 "conf_parser.y" /* yacc.c:1646  */
    {
                        (yyval.number) = (yyvsp[-2].number) * 60 * 60 * 24 * 365 + (yyvsp[0].number);
                }
#line 3174 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 40:
#line 487 "conf_parser.y" /* yacc.c:1646  */
    { (yyval.number) = 0; }
#line 3180 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 42:
#line 488 "conf_parser.y" /* yacc.c:1646  */
    { (yyval.number) = (yyvsp[-1].number) + (yyvsp[0].number); }
#line 3186 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 43:
#line 489 "conf_parser.y" /* yacc.c:1646  */
    { (yyval.number) = (yyvsp[-2].number) + (yyvsp[0].number); }
#line 3192 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 44:
#line 490 "conf_parser.y" /* yacc.c:1646  */
    { (yyval.number) = (yyvsp[-2].number) * 1024 + (yyvsp[0].number); }
#line 3198 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 45:
#line 491 "conf_parser.y" /* yacc.c:1646  */
    { (yyval.number) = (yyvsp[-2].number) * 1024 * 1024 + (yyvsp[0].number); }
#line 3204 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 46:
#line 498 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  block_state.ptr.alias = MyMalloc(sizeof(struct alias_entry));
}
#line 3215 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 47:
#line 504 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  dlinkAdd(block_state.ptr.alias, &block_state.ptr.alias->node, &alias_items);
  alias_add(block_state.ptr.alias);
}
#line 3227 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 55:
#line 516 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  struct alias_name *nm = MyMalloc(sizeof(struct alias_name));

  strlcpy(nm->name, yylval.string, sizeof(nm->name));
  nm->parent = block_state.ptr.alias;

  dlinkAdd(nm, &nm->node, &block_state.ptr.alias->names);
}
#line 3243 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 56:
#line 529 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.ptr.alias->user, yylval.string, sizeof(block_state.ptr.alias->user));
}
#line 3252 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 57:
#line 535 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.ptr.alias->server, yylval.string, sizeof(block_state.ptr.alias->server));
}
#line 3261 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 58:
#line 541 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    if (yylval.number)
      block_state.ptr.alias->flags |= CONF_FLAGS_OPER_ONLY;
  }
}
#line 3273 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 66:
#line 559 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    add_conf_module(libio_basename(yylval.string));
}
#line 3282 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 67:
#line 565 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    add_conf_script(yylval.string);
}
#line 3291 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 68:
#line 571 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    mod_add_path(yylval.string);
}
#line 3300 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 69:
#line 578 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 1)
    break;

  block_state.ptr.ssl = sslprofile_create();
}
#line 3311 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 70:
#line 585 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile *profile = block_state.ptr.ssl;
  dlink_node *ptr;

  if (conf_parser_ctx.pass != 1)
    break;

  DLINK_FOREACH(ptr, profile->identities.head)
  {
    struct sslprofile_identity *id = ptr->data;

    if (profile->dh)
      SSL_CTX_set_tmp_dh(id->server_ctx, profile->dh);

#if OPENSSL_VERSION_NUMBER >= 0x009080FFL && !defined(OPENSSL_NO_ECDH)
    if (profile->curve)
      SSL_CTX_set_tmp_ecdh(id->server_ctx, profile->curve);
#endif

    if (!EmptyString(profile->cipher_list))
    {
      SSL_CTX_set_cipher_list(id->server_ctx, profile->cipher_list);

      SSL_CTX_set_cipher_list(id->client_ctx, profile->cipher_list);
    }

    if (!EmptyString(profile->ca_file))
    {
      if (!SSL_CTX_load_verify_locations(id->server_ctx, profile->ca_file, NULL))
      {
        const char *s = ERR_lib_error_string(ERR_get_error());

        ilog(LOG_TYPE_IRCD, "Could not load verify location %s -- %s", profile->ca_file, s);
      }
    }
  }

  dlinkAddTail(block_state.ptr.ssl, &block_state.ptr.ssl->node, &sslprofile_items);
  block_state.ptr.ssl = NULL;
}
#line 3356 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 80:
#line 633 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile *entry = block_state.ptr.ssl;

  if (conf_parser_ctx.pass == 1)
    strlcpy(entry->name, yylval.string, sizeof(entry->name));
}
#line 3367 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 81:
#line 641 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile *entry = block_state.ptr.ssl;

  if (conf_parser_ctx.pass == 1)
  {
    BIO *file = BIO_new_file(yylval.string, "r");

    if (file)
    {
      DH *dh = PEM_read_bio_DHparams(file, NULL, NULL, NULL);

      BIO_free(file);

      if (dh)
      {
        if (DH_size(dh) < 256)
        {
          conf_error_report("Ignoring sslprofile::dh_param_file -- need at least a 2048 bit DH prime size");
          DH_free(dh);
        }
        else
        {
          entry->dh = dh;
        }
      }
    }
    else
      conf_error_report("Ignoring sslprofile::dh_param_file -- could not open/read Diffie-Hellman parameter file");
  }
}
#line 3402 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 82:
#line 673 "conf_parser.y" /* yacc.c:1646  */
    {
#if OPENSSL_VERSION_NUMBER >= 0x009080FFL && !defined(OPENSSL_NO_ECDH)
  struct sslprofile *entry = block_state.ptr.ssl;
  int nid = 0;
  EC_KEY *key = NULL;

  if (conf_parser_ctx.pass == 1)
  {
    if ((nid = OBJ_sn2nid(yylval.string)) == 0)
    {
        conf_error_report("Ignoring sslprofile::dh_elliptic_curve -- unknown curve name");
        break;
    }

    if ((key = EC_KEY_new_by_curve_name(nid)) == NULL)
    {
      conf_error_report("Ignoring sslprofile::dh_elliptic_curve -- could not create curve");
      break;
    }

    entry->curve = key;
  }
#endif
}
#line 3431 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 83:
#line 699 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile *entry = block_state.ptr.ssl;

  if (conf_parser_ctx.pass == 1)
    strlcpy(entry->cipher_list, yylval.string, sizeof(entry->cipher_list));
}
#line 3442 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 84:
#line 707 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile *entry = block_state.ptr.ssl;

  if (conf_parser_ctx.pass == 1)
    strlcpy(entry->ca_file, yylval.string, sizeof(entry->ca_file));
}
#line 3453 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 85:
#line 715 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 1)
    break;

  block_state.ptr.identity = sslprofile_identity_create(block_state.ptr.ssl);
}
#line 3464 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 86:
#line 722 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile *profile = block_state.ptr.ssl;
  struct sslprofile_identity *id = block_state.ptr.identity;

  if (conf_parser_ctx.pass != 1)
    break;

  if (id == NULL)
    break;

  dlinkAddTail(id, &id->node, &profile->identities);
  block_state.ptr.identity = NULL;
}
#line 3482 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 93:
#line 742 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile_identity *entry = block_state.ptr.identity;
  char *str;

  if (conf_parser_ctx.pass != 1)
    break;

  if (entry == NULL)
    break;

  str = xstrdup(yylval.string);
  dlinkAdd(str, make_dlink_node(), &entry->server_names);
}
#line 3500 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 94:
#line 757 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile_identity *entry = block_state.ptr.identity;
  BIO *file = NULL;

  if (conf_parser_ctx.pass != 1)
    break;

  if (entry == NULL)
    break;

  if (entry->rsa_private_key)
  {
    RSA_free(entry->rsa_private_key);
    entry->rsa_private_key = NULL;
  }

  if (entry->rsa_private_key_file)
  {
    MyFree(entry->rsa_private_key_file);
    entry->rsa_private_key_file = NULL;
  }

  entry->rsa_private_key_file = xstrdup(yylval.string);

  if ((file = BIO_new_file(yylval.string, "r")) == NULL)
  {
    conf_error_report("File open failed, ignoring");
    break;
  }

  entry->rsa_private_key = PEM_read_bio_RSAPrivateKey(file, NULL, 0, NULL);

  BIO_set_close(file, BIO_CLOSE);
  BIO_free(file);

  if (entry->rsa_private_key == NULL)
  {
    conf_error_report("Couldn't extract key, ignoring");
    break;
  }

  if (!RSA_check_key(entry->rsa_private_key))
  {
    RSA_free(entry->rsa_private_key);
    entry->rsa_private_key = NULL;

    conf_error_report("Invalid key, ignoring");
    break;
  }

  if (RSA_size(entry->rsa_private_key) < 256)
  {
    RSA_free(entry->rsa_private_key);
    entry->rsa_private_key = NULL;

    conf_error_report("Ignoring sslprofile::identity::rsa_private_key_file -- need at least a 2048 bit key size");
  }
}
#line 3563 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 95:
#line 817 "conf_parser.y" /* yacc.c:1646  */
    {
  struct sslprofile_identity *entry = block_state.ptr.identity;

  if (conf_parser_ctx.pass == 1 && entry)
  {
    if (!entry->rsa_private_key_file)
    {
      conf_error_report("No rsa_private_key_file specified, SSL disabled");
      break;
    }

    if (SSL_CTX_use_certificate_chain_file(entry->server_ctx, yylval.string) <= 0 ||
        SSL_CTX_use_certificate_chain_file(entry->client_ctx, yylval.string) <= 0)
    {
      report_crypto_errors();
      conf_error_report("Could not open/read certificate file");
      break;
    }

    if (SSL_CTX_use_PrivateKey_file(entry->server_ctx, entry->rsa_private_key_file,
                                    SSL_FILETYPE_PEM) <= 0 ||
        SSL_CTX_use_PrivateKey_file(entry->client_ctx, entry->rsa_private_key_file,
                                    SSL_FILETYPE_PEM) <= 0)
    {
      report_crypto_errors();
      conf_error_report("Could not read RSA private key");
      break;
    }

    if (!SSL_CTX_check_private_key(entry->server_ctx) ||
        !SSL_CTX_check_private_key(entry->client_ctx))
    {
      report_crypto_errors();
      conf_error_report("Could not read RSA private key");
      break;
    }
  }
}
#line 3606 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 111:
#line 871 "conf_parser.y" /* yacc.c:1646  */
    {
  /* this isn't rehashable */
  if (conf_parser_ctx.pass == 2 && !ServerInfo.name)
  {
    if (valid_servname(yylval.string))
      ServerInfo.name = xstrdup(yylval.string);
    else
    {
      conf_error_report("Ignoring serverinfo::name -- invalid name. Aborting.");
      exit(0);
    }
  }
}
#line 3624 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 112:
#line 886 "conf_parser.y" /* yacc.c:1646  */
    {
  /* this isn't rehashable */
  if (conf_parser_ctx.pass == 2 && !ServerInfo.sid)
  {
    if (valid_sid(yylval.string))
      ServerInfo.sid = xstrdup(yylval.string);
    else
    {
      conf_error_report("Ignoring serverinfo::sid -- invalid SID. Aborting.");
      exit(0);
    }
  }
}
#line 3642 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 113:
#line 901 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ServerInfo.description);
    ServerInfo.description = xstrdup(yylval.string);
  }
}
#line 3654 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 114:
#line 910 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    char *p;

    if ((p = strchr(yylval.string, ' ')) != NULL)
      *p = '\0';

    MyFree(ServerInfo.network_name);
    ServerInfo.network_name = xstrdup(yylval.string);
  }
}
#line 3671 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 115:
#line 924 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  MyFree(ServerInfo.network_desc);
  ServerInfo.network_desc = xstrdup(yylval.string);
}
#line 3683 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 116:
#line 933 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2 && *yylval.string != '*')
  {
    struct addrinfo hints, *res;

    memset(&hints, 0, sizeof(hints));

    hints.ai_family   = AF_UNSPEC;
    hints.ai_socktype = SOCK_STREAM;
    hints.ai_flags    = AI_PASSIVE | AI_NUMERICHOST;

    if (getaddrinfo(yylval.string, NULL, &hints, &res))
      ilog(LOG_TYPE_IRCD, "Invalid netmask for server vhost(%s)", yylval.string);
    else
    {
      assert(res != NULL);

      memcpy(&ServerInfo.ip, res->ai_addr, res->ai_addrlen);
      ServerInfo.ip.ss.ss_family = res->ai_family;
      ServerInfo.ip.ss_len = res->ai_addrlen;
      freeaddrinfo(res);

      ServerInfo.specific_ipv4_vhost = 1;
    }
  }
}
#line 3714 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 117:
#line 961 "conf_parser.y" /* yacc.c:1646  */
    {
#ifdef IPV6
  if (conf_parser_ctx.pass == 2 && *yylval.string != '*')
  {
    struct addrinfo hints, *res;

    memset(&hints, 0, sizeof(hints));

    hints.ai_family   = AF_UNSPEC;
    hints.ai_socktype = SOCK_STREAM;
    hints.ai_flags    = AI_PASSIVE | AI_NUMERICHOST;

    if (getaddrinfo(yylval.string, NULL, &hints, &res))
      ilog(LOG_TYPE_IRCD, "Invalid netmask for server vhost6(%s)", yylval.string);
    else
    {
      assert(res != NULL);

      memcpy(&ServerInfo.ip6, res->ai_addr, res->ai_addrlen);
      ServerInfo.ip6.ss.ss_family = res->ai_family;
      ServerInfo.ip6.ss_len = res->ai_addrlen;
      freeaddrinfo(res);

      ServerInfo.specific_ipv6_vhost = 1;
    }
  }
#endif
}
#line 3747 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 118:
#line 991 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if ((yyvsp[-1].number) < MAXCLIENTS_MIN)
  {
    char buf[IRCD_BUFSIZE];

    snprintf(buf, sizeof(buf), "MAXCLIENTS too low, setting to %d", MAXCLIENTS_MIN);
    conf_error_report(buf);
    ServerInfo.max_clients = MAXCLIENTS_MIN;
  }
  else if ((yyvsp[-1].number) > MAXCLIENTS_MAX)
  {
    char buf[IRCD_BUFSIZE];

    snprintf(buf, sizeof(buf), "MAXCLIENTS too high, setting to %d", MAXCLIENTS_MAX);
    conf_error_report(buf);
    ServerInfo.max_clients = MAXCLIENTS_MAX;
  }
  else
    ServerInfo.max_clients = (yyvsp[-1].number);
}
#line 3775 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1016 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if ((yyvsp[-1].number) < 9)
  {
    conf_error_report("max_nick_length too low, setting to 9");
    ServerInfo.max_nick_length = 9;
  }
  else if ((yyvsp[-1].number) > NICKLEN)
  {
    char buf[IRCD_BUFSIZE];

    snprintf(buf, sizeof(buf), "max_nick_length too high, setting to %d", NICKLEN);
    conf_error_report(buf);
    ServerInfo.max_nick_length = NICKLEN;
  }
  else
    ServerInfo.max_nick_length = (yyvsp[-1].number);
}
#line 3800 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1038 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if ((yyvsp[-1].number) < 80)
  {
    conf_error_report("max_topic_length too low, setting to 80");
    ServerInfo.max_topic_length = 80;
  }
  else if ((yyvsp[-1].number) > TOPICLEN)
  {
    char buf[IRCD_BUFSIZE];

    snprintf(buf, sizeof(buf), "max_topic_length too high, setting to %d", TOPICLEN);
    conf_error_report(buf);
    ServerInfo.max_topic_length = TOPICLEN;
  }
  else
    ServerInfo.max_topic_length = (yyvsp[-1].number);
}
#line 3825 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1060 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ServerInfo.hub = yylval.number;
}
#line 3834 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1075 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  MyFree(AdminInfo.name);
  AdminInfo.name = xstrdup(yylval.string);
}
#line 3846 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1084 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  MyFree(AdminInfo.email);
  AdminInfo.email = xstrdup(yylval.string);
}
#line 3858 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1093 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  MyFree(AdminInfo.description);
  AdminInfo.description = xstrdup(yylval.string);
}
#line 3870 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1105 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    reset_block_state();
}
#line 3879 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1109 "conf_parser.y" /* yacc.c:1646  */
    {
  dlink_node *ptr = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  if (!block_state.file.buf[0])
    break;

  DLINK_FOREACH(ptr, block_state.mask.list.head)
    motd_add(ptr->data, block_state.file.buf);
}
#line 3896 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1126 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    dlinkAdd(xstrdup(yylval.string), make_dlink_node(), &block_state.mask.list);
}
#line 3905 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1132 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.file.buf, yylval.string, sizeof(block_state.file.buf));
}
#line 3914 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1142 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
  {
    reset_block_state();
    block_state.ptr.dnsbl = MyMalloc(sizeof(struct dnsbl_entry));
  }
}
#line 3926 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1150 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
  {
    struct dnsbl_entry *dnsbl = block_state.ptr.dnsbl;
    dlinkAdd(dnsbl, &dnsbl->node, &dnsbl_items);
  }
}
#line 3938 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1163 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    strlcpy(block_state.ptr.dnsbl->name, yylval.string, sizeof(block_state.ptr.dnsbl->name));
}
#line 3947 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1169 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    strlcpy(block_state.ptr.dnsbl->reason, yylval.string, sizeof(block_state.ptr.dnsbl->reason));
}
#line 3956 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1177 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
  {
    struct dnsbl_match *match = MyMalloc(sizeof(struct dnsbl_match));

    if (parse_netmask((yyvsp[0].string), &match->ip, &match->bits) == HM_IPV4)
    {
      dlinkAdd(match, &match->node, &block_state.ptr.dnsbl->matches);
    }
    else
    {
      char buf[IRCD_BUFSIZE];

      snprintf(buf, sizeof(buf), "dnsbl match %s not an IPv4 mask, ignored", (yyvsp[0].string));
      conf_error_report(buf);

      MyFree(match);
    }
  }
}
#line 3981 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1208 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigLoggingEntry.use_logging = yylval.number;
}
#line 3990 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1214 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    reset_block_state();
}
#line 3999 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1218 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if (block_state.type.value && block_state.file.buf[0])
    log_set_file(block_state.type.value, block_state.size.value,
                 block_state.file.buf);
}
#line 4012 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1234 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  strlcpy(block_state.file.buf, yylval.string, sizeof(block_state.file.buf));
}
#line 4023 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1242 "conf_parser.y" /* yacc.c:1646  */
    {
  block_state.size.value = (yyvsp[-1].number);
}
#line 4031 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1245 "conf_parser.y" /* yacc.c:1646  */
    {
  block_state.size.value = 0;
}
#line 4039 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1250 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = 0;
}
#line 4048 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1257 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_USER;
}
#line 4057 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1261 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_OPER;
}
#line 4066 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1265 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_GLINE;
}
#line 4075 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1269 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_XLINE;
}
#line 4084 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1273 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_RESV;
}
#line 4093 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1277 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_DLINE;
}
#line 4102 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1281 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_KLINE;
}
#line 4111 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1285 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_KILL;
}
#line 4120 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1289 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.type.value = LOG_TYPE_DEBUG;
}
#line 4129 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1299 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  reset_block_state();
  block_state.flags.value |= CONF_FLAGS_ENCRYPTED;
}
#line 4141 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1306 "conf_parser.y" /* yacc.c:1646  */
    {
  dlink_node *ptr = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  if (!block_state.name.buf[0])
    break;
  if (!block_state.file.buf[0] &&
      !block_state.rpass.buf[0])
    break;

  DLINK_FOREACH(ptr, block_state.mask.list.head)
  {
    struct MaskItem *conf = NULL;
    struct split_nuh_item nuh;

    nuh.nuhmask  = ptr->data;
    nuh.nickptr  = NULL;
    nuh.userptr  = block_state.user.buf;
    nuh.hostptr  = block_state.host.buf;
    nuh.nicksize = 0;
    nuh.usersize = sizeof(block_state.user.buf);
    nuh.hostsize = sizeof(block_state.host.buf);
    split_nuh(&nuh);

    conf         = conf_make(CONF_OPER);
    conf->name   = xstrdup(block_state.name.buf);
    conf->user   = xstrdup(block_state.user.buf);
    conf->host   = xstrdup(block_state.host.buf);

    if (block_state.cert.buf[0])
      conf->certfp = xstrdup(block_state.cert.buf);

    if (block_state.rpass.buf[0])
      conf->passwd = xstrdup(block_state.rpass.buf);

    conf->flags = block_state.flags.value;
    conf->modes = block_state.modes.value;
    conf->snomask.local = block_state.snomask_local.value;
    conf->snomask.remote = block_state.snomask_remote.value;
    conf->port  = block_state.port.value;
    conf->htype = parse_netmask(conf->host, &conf->addr, &conf->bits);

    conf_add_class_to_conf(conf, block_state.class.buf);

    if (block_state.file.buf[0])
    {
      BIO *file = NULL;
      RSA *pkey = NULL;

      if ((file = BIO_new_file(block_state.file.buf, "r")) == NULL)
      {
        ilog(LOG_TYPE_IRCD, "Ignoring rsa_public_key_file -- file doesn't exist");
        break;
      }

      if ((pkey = PEM_read_bio_RSA_PUBKEY(file, NULL, 0, NULL)) == NULL)
        ilog(LOG_TYPE_IRCD, "Ignoring rsa_public_key_file -- Key invalid; check key syntax");
      else
      {
        if (RSA_size(pkey) > 128)
          ilog(LOG_TYPE_IRCD, "Ignoring rsa_public_key_file -- key size must be 1024 or below");
        else
          conf->rsa_public_key = pkey;
      }

      BIO_set_close(file, BIO_CLOSE);
      BIO_free(file);
    }
  }
}
#line 4218 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1387 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
}
#line 4227 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1393 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    dlinkAdd(xstrdup(yylval.string), make_dlink_node(), &block_state.mask.list);
}
#line 4236 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1399 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.rpass.buf, yylval.string, sizeof(block_state.rpass.buf));
}
#line 4245 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1405 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if (yylval.number)
    block_state.flags.value |= CONF_FLAGS_ENCRYPTED;
  else
    block_state.flags.value &= ~CONF_FLAGS_ENCRYPTED;
}
#line 4259 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1416 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.file.buf, yylval.string, sizeof(block_state.file.buf));
}
#line 4268 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1422 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.cert.buf, yylval.string, sizeof(block_state.cert.buf));
}
#line 4277 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1428 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if (yylval.number)
    block_state.flags.value |= CONF_FLAGS_SSL;
  else
    block_state.flags.value &= ~CONF_FLAGS_SSL;
}
#line 4291 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1439 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.class.buf, yylval.string, sizeof(block_state.class.buf));
}
#line 4300 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1445 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value = 0;
}
#line 4309 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1453 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
      block_state.modes.value |= UMODE_NOCTCP;
}
#line 4318 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1458 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_DEAF;
}
#line 4327 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1463 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
      block_state.modes.value |= UMODE_HIDECHANNELS;
}
#line 4336 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1468 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_OPERWALL;
}
#line 4345 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1473 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_SERVNOTICE;
}
#line 4354 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1478 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_INVISIBLE;
}
#line 4363 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1483 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_WALLOP;
}
#line 4372 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1488 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_SOFTCALLERID;
}
#line 4381 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1493 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_CALLERID;
}
#line 4390 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1498 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_LOCOPS;
}
#line 4399 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1503 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_REGONLY;
}
#line 4408 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1508 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.modes.value |= UMODE_SPY;
}
#line 4417 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1514 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value = block_state.snomask_remote.value = 0;
}
#line 4426 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1522 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_remote.value |= sno_bots.flag;
}
#line 4435 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1527 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_bots.flag;
}
#line 4444 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1532 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_remote.value |= sno_cconn.flag;
}
#line 4453 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1537 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_cconn.flag;
}
#line 4462 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1542 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_debug.flag;
}
#line 4471 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1547 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_full.flag;
}
#line 4480 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1552 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_skill.flag;
}
#line 4489 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1557 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_nchange.flag;
}
#line 4498 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1562 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_rej.flag;
}
#line 4507 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1567 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_unauth.flag;
}
#line 4516 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1572 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_local.value |= sno_spy.flag;
}
#line 4525 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1577 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.snomask_remote.value |= sno_link.flag;
}
#line 4534 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1582 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
     block_state.snomask_local.value |= sno_link.flag;
}
#line 4543 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1588 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value = 0;
}
#line 4552 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1595 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_KILL_REMOTE;
}
#line 4561 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1599 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_FARCONNECT;
}
#line 4570 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1603 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_N;
}
#line 4579 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1607 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_KILL;
}
#line 4588 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1611 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_CONNECT_REMOTE;
}
#line 4597 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1615 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_CONNECT;
}
#line 4606 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1619 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_SQUIT_REMOTE;
}
#line 4615 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1623 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_SQUIT;
}
#line 4624 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1627 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_K;
}
#line 4633 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1631 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_UNKLINE;
}
#line 4642 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1635 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_DLINE;
}
#line 4651 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1639 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_UNDLINE;
}
#line 4660 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1643 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_XLINE;
}
#line 4669 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1647 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_UNXLINE;
}
#line 4678 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1651 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_GLINE;
}
#line 4687 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1655 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_DIE;
}
#line 4696 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1659 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_RESTART;
}
#line 4705 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1663 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_REHASH;
}
#line 4714 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1667 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_ADMIN;
}
#line 4723 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1671 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_OPERWALL;
}
#line 4732 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1675 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_GLOBOPS;
}
#line 4741 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1679 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_WALLOPS;
}
#line 4750 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1683 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_WALLUSERS;
}
#line 4759 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1687 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_LOCOPS;
}
#line 4768 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1691 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_REMOTEBAN;
}
#line 4777 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1695 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_SET;
}
#line 4786 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1699 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value |= OPER_FLAG_MODULE;
}
#line 4795 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1709 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 1)
    break;

  reset_block_state();

  block_state.ping_freq.value = DEFAULT_PINGFREQUENCY;
  block_state.con_freq.value  = DEFAULT_CONNECTFREQUENCY;
  block_state.max_total.value = MAXIMUM_LINKS_DEFAULT;
  block_state.max_sendq.value = DEFAULT_SENDQ;
  block_state.max_recvq.value = DEFAULT_RECVQ;
}
#line 4812 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1721 "conf_parser.y" /* yacc.c:1646  */
    {
  struct ClassItem *class = NULL;

  if (conf_parser_ctx.pass != 1)
    break;

  if (!block_state.class.buf[0])
    break;

  if (!(class = class_find(block_state.class.buf, 0)))
    class = class_make();

  class->active = 1;
  MyFree(class->name);
  class->name = xstrdup(block_state.class.buf);
  class->ping_freq = block_state.ping_freq.value;
  class->max_perip = block_state.max_perip.value;
  class->con_freq = block_state.con_freq.value;
  class->max_total = block_state.max_total.value;
  class->max_global = block_state.max_global.value;
  class->max_local = block_state.max_local.value;
  class->soft_sendq = block_state.soft_sendq.value;
  class->flood_burst = block_state.flood_burst.value;
  class->flood_limit = block_state.flood_limit.value;
  class->max_sendq = block_state.max_sendq.value;
  class->max_recvq = block_state.max_recvq.value;

  if (block_state.min_idle.value > block_state.max_idle.value)
  {
    block_state.min_idle.value = 0;
    block_state.max_idle.value = 0;
    block_state.flags.value &= ~CLASS_FLAGS_FAKE_IDLE;
  }

  class->flags = block_state.flags.value;
  class->min_idle = block_state.min_idle.value;
  class->max_idle = block_state.max_idle.value;

  rebuild_cidr_list(class);

  class->cidr_bitlen_ipv4 = block_state.cidr_bitlen_ipv4.value;
  class->cidr_bitlen_ipv6 = block_state.cidr_bitlen_ipv6.value;
  class->number_per_cidr = block_state.number_per_cidr.value;
}
#line 4861 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 298:
#line 1783 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    strlcpy(block_state.class.buf, yylval.string, sizeof(block_state.class.buf));
}
#line 4870 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 299:
#line 1789 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.ping_freq.value = (yyvsp[-1].number);
}
#line 4879 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 300:
#line 1795 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.max_perip.value = (yyvsp[-1].number);
}
#line 4888 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 301:
#line 1801 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.con_freq.value = (yyvsp[-1].number);
}
#line 4897 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 302:
#line 1807 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.max_total.value = (yyvsp[-1].number);
}
#line 4906 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 303:
#line 1813 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.max_global.value = (yyvsp[-1].number);
}
#line 4915 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 304:
#line 1819 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.max_local.value = (yyvsp[-1].number);
}
#line 4924 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 305:
#line 1825 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.soft_sendq.value = (yyvsp[-1].number);
}
#line 4933 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 306:
#line 1831 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.flood_burst.value = (yyvsp[-1].number);
}
#line 4942 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 307:
#line 1837 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.flood_limit.value = (yyvsp[-1].number);
}
#line 4951 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 308:
#line 1843 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.max_sendq.value = (yyvsp[-1].number);
}
#line 4960 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 309:
#line 1849 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    if ((yyvsp[-1].number) >= CLIENT_FLOOD_MIN && (yyvsp[-1].number) <= CLIENT_FLOOD_MAX)
      block_state.max_recvq.value = (yyvsp[-1].number);
}
#line 4970 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 310:
#line 1856 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.cidr_bitlen_ipv4.value = (yyvsp[-1].number) > 32 ? 32 : (yyvsp[-1].number);
}
#line 4979 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 311:
#line 1862 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.cidr_bitlen_ipv6.value = (yyvsp[-1].number) > 128 ? 128 : (yyvsp[-1].number);
}
#line 4988 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 312:
#line 1868 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.number_per_cidr.value = (yyvsp[-1].number);
}
#line 4997 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 313:
#line 1874 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 1)
    break;

  block_state.min_idle.value = (yyvsp[-1].number);
  block_state.flags.value |= CLASS_FLAGS_FAKE_IDLE;
}
#line 5009 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 314:
#line 1883 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 1)
    break;

  block_state.max_idle.value = (yyvsp[-1].number);
  block_state.flags.value |= CLASS_FLAGS_FAKE_IDLE;
}
#line 5021 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 315:
#line 1892 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.flags.value &= CLASS_FLAGS_FAKE_IDLE;
}
#line 5030 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 319:
#line 1899 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.flags.value |= CLASS_FLAGS_RANDOM_IDLE;
}
#line 5039 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 320:
#line 1903 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 1)
    block_state.flags.value |= CLASS_FLAGS_HIDE_IDLE_FROM_OPERS;
}
#line 5048 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 321:
#line 1913 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    reset_block_state();
}
#line 5057 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 323:
#line 1919 "conf_parser.y" /* yacc.c:1646  */
    {
  block_state.flags.value = 0;
  *block_state.profile.buf = 0;
}
#line 5066 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 327:
#line 1926 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= LISTENER_SSL;
}
#line 5075 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 328:
#line 1930 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= LISTENER_HIDDEN;
}
#line 5084 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 329:
#line 1934 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
   block_state.flags.value |= LISTENER_SERVER;
}
#line 5093 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 330:
#line 1938 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= LISTENER_HTTP;
}
#line 5102 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 331:
#line 1942 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= LISTENER_DEFER;
}
#line 5111 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 340:
#line 1951 "conf_parser.y" /* yacc.c:1646  */
    {
  block_state.flags.value = 0;
  *block_state.profile.buf = 0;
}
#line 5120 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 344:
#line 1959 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    struct sslprofile *profile = NULL;

    if (block_state.flags.value & LISTENER_SSL)
    {
      if (!dlink_list_length(&sslprofile_items))
      {
        conf_error_report("SSL not available - port closed");
        break;
      }

      profile = sslprofile_find(block_state.profile.buf);
    }

    add_listener((yyvsp[0].number), block_state.addr.buf, block_state.flags.value, profile);
  }
}
#line 5144 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 345:
#line 1978 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    int i;
    struct sslprofile *profile = NULL;

    if (block_state.flags.value & LISTENER_SSL)
    {
      if (!dlink_list_length(&sslprofile_items))
      {
        conf_error_report("SSL not available - port closed");
        break;
      }

      profile = sslprofile_find(block_state.profile.buf);
    }

    for (i = (yyvsp[-2].number); i <= (yyvsp[0].number); ++i)
      add_listener(i, block_state.addr.buf, block_state.flags.value, profile);
  }
}
#line 5170 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2001 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.addr.buf, yylval.string, sizeof(block_state.addr.buf));
}
#line 5179 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2007 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.addr.buf, yylval.string, sizeof(block_state.addr.buf));
}
#line 5188 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2013 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.profile.buf, yylval.string, sizeof(block_state.profile.buf));
}
#line 5197 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2022 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    reset_block_state();
}
#line 5206 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2026 "conf_parser.y" /* yacc.c:1646  */
    {
  dlink_node *ptr = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  DLINK_FOREACH(ptr, block_state.mask.list.head)
  {
    struct MaskItem *conf = NULL;
    struct split_nuh_item nuh;

    nuh.nuhmask  = ptr->data;
    nuh.nickptr  = NULL;
    nuh.userptr  = block_state.user.buf;
    nuh.hostptr  = block_state.host.buf;
    nuh.nicksize = 0;
    nuh.usersize = sizeof(block_state.user.buf);
    nuh.hostsize = sizeof(block_state.host.buf);
    split_nuh(&nuh);

    if (EmptyString(block_state.host.buf))
      continue;

    conf        = conf_make(CONF_CLIENT);
    conf->user  = xstrdup(block_state.user.buf);
    conf->host  = xstrdup(block_state.host.buf);

    if (block_state.rpass.buf[0])
      conf->passwd = xstrdup(block_state.rpass.buf);
    if (block_state.name.buf[0])
      conf->name = xstrdup(block_state.name.buf);

    conf->flags = block_state.flags.value;
    conf->port  = block_state.port.value;

    if (block_state.cert.buf[0])
      conf->certfp = xstrdup(block_state.cert.buf);

    if (block_state.ca.buf[0])
    {
      int ret;

      conf->x509_store = X509_STORE_new();
      ret = X509_STORE_load_locations(conf->x509_store, block_state.ca.buf, NULL);
      if (ret != 1)
      {
        X509_STORE_free(conf->x509_store);
        conf->x509_store = NULL;

        ilog(LOG_TYPE_IRCD, "Unable to load ca_file X509 store %s, ignoring auth block", block_state.ca.buf);
        conf_free(conf);
        continue;
      }
    }

    conf_add_class_to_conf(conf, block_state.class.buf);
    add_conf_by_address(CONF_CLIENT, conf);
  }
}
#line 5270 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2093 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    dlinkAdd(xstrdup(yylval.string), make_dlink_node(), &block_state.mask.list);
}
#line 5279 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2099 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.rpass.buf, yylval.string, sizeof(block_state.rpass.buf));
}
#line 5288 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2105 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.class.buf, yylval.string, sizeof(block_state.class.buf));
}
#line 5297 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2111 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    if (yylval.number)
      block_state.flags.value |= CONF_FLAGS_ENCRYPTED;
    else
      block_state.flags.value &= ~CONF_FLAGS_ENCRYPTED;
  }
}
#line 5311 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2122 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value &= (CONF_FLAGS_ENCRYPTED | CONF_FLAGS_SPOOF_IP);
}
#line 5320 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2129 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_SPOOF_NOTICE;
}
#line 5329 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2133 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_NOLIMIT;
}
#line 5338 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2137 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_EXEMPTKLINE;
}
#line 5347 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2141 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_EXEMPTDNSBL;
}
#line 5356 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2145 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_NEED_IDENTD;
}
#line 5365 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2149 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_CAN_FLOOD;
}
#line 5374 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2153 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_NO_TILDE;
}
#line 5383 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2157 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_EXEMPTGLINE;
}
#line 5392 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2161 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_EXEMPTRESV;
}
#line 5401 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2165 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_WEBIRC;
}
#line 5410 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2169 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_NEED_ACCOUNT;
}
#line 5419 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2173 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_NEED_PASSWORD;
}
#line 5428 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2179 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if (strlen(yylval.string) <= HOSTLEN && valid_hostname(yylval.string))
  {
    strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
    block_state.flags.value |= CONF_FLAGS_SPOOF_IP;
  }
  else
    ilog(LOG_TYPE_IRCD, "Spoof either is too long or contains invalid characters. Ignoring it.");
}
#line 5445 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2193 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
  block_state.flags.value |= CONF_FLAGS_REDIR;
}
#line 5457 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2202 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  block_state.flags.value |= CONF_FLAGS_REDIR;
  block_state.port.value = (yyvsp[-1].number);
}
#line 5469 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2211 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  strlcpy(block_state.cert.buf, yylval.string, sizeof(block_state.cert.buf));
}
#line 5480 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2219 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  strlcpy(block_state.ca.buf, yylval.string, sizeof(block_state.ca.buf));
}
#line 5491 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2231 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  reset_block_state();
  strlcpy(block_state.rpass.buf, CONF_NOREASON, sizeof(block_state.rpass.buf));
}
#line 5503 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2238 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  create_resv(block_state.name.buf, block_state.rpass.buf, &block_state.mask.list);
}
#line 5514 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2249 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
}
#line 5523 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2255 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.rpass.buf, yylval.string, sizeof(block_state.rpass.buf));
}
#line 5532 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2261 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    dlinkAdd(xstrdup(yylval.string), make_dlink_node(), &block_state.mask.list);
}
#line 5541 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2276 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if (valid_servname(yylval.string))
  {
    struct MaskItem *conf = conf_make(CONF_SERVICE);
    conf->name = xstrdup(yylval.string);
  }
}
#line 5556 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2291 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  reset_block_state();

  strlcpy(block_state.name.buf, "*", sizeof(block_state.name.buf));
  strlcpy(block_state.user.buf, "*", sizeof(block_state.user.buf));
  strlcpy(block_state.host.buf, "*", sizeof(block_state.host.buf));
  block_state.flags.value = SHARED_ALL;
}
#line 5572 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2302 "conf_parser.y" /* yacc.c:1646  */
    {
  struct MaskItem *conf = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  conf = conf_make(CONF_ULINE);
  conf->flags = block_state.flags.value;
  conf->name = xstrdup(block_state.name.buf);
  conf->user = xstrdup(block_state.user.buf);
  conf->host = xstrdup(block_state.host.buf);
}
#line 5589 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2319 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
}
#line 5598 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2325 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    struct split_nuh_item nuh;

    nuh.nuhmask  = yylval.string;
    nuh.nickptr  = NULL;
    nuh.userptr  = block_state.user.buf;
    nuh.hostptr  = block_state.host.buf;

    nuh.nicksize = 0;
    nuh.usersize = sizeof(block_state.user.buf);
    nuh.hostsize = sizeof(block_state.host.buf);

    split_nuh(&nuh);
  }
}
#line 5620 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2344 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value = 0;
}
#line 5629 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2351 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_KLINE;
}
#line 5638 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2355 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNKLINE;
}
#line 5647 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2359 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_DLINE;
}
#line 5656 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2363 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNDLINE;
}
#line 5665 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2367 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_XLINE;
}
#line 5674 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2371 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNXLINE;
}
#line 5683 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2375 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_RESV;
}
#line 5692 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2379 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNRESV;
}
#line 5701 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 428:
#line 2383 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_LOCOPS;
}
#line 5710 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 429:
#line 2387 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value = SHARED_ALL;
}
#line 5719 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 430:
#line 2396 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  reset_block_state();

  strlcpy(block_state.name.buf, "*", sizeof(block_state.name.buf));
  block_state.flags.value = SHARED_ALL;
}
#line 5733 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 431:
#line 2405 "conf_parser.y" /* yacc.c:1646  */
    {
  struct MaskItem *conf = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  conf = conf_make(CONF_CLUSTER);
  conf->flags = block_state.flags.value;
  conf->name = xstrdup(block_state.name.buf);
}
#line 5748 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 437:
#line 2420 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
}
#line 5757 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 438:
#line 2426 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value = 0;
}
#line 5766 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 442:
#line 2433 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_KLINE;
}
#line 5775 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 443:
#line 2437 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNKLINE;
}
#line 5784 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 444:
#line 2441 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_DLINE;
}
#line 5793 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 445:
#line 2445 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNDLINE;
}
#line 5802 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 446:
#line 2449 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_XLINE;
}
#line 5811 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 447:
#line 2453 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNXLINE;
}
#line 5820 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 448:
#line 2457 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_RESV;
}
#line 5829 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 449:
#line 2461 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_UNRESV;
}
#line 5838 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 450:
#line 2465 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= SHARED_LOCOPS;
}
#line 5847 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 451:
#line 2469 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value = SHARED_ALL;
}
#line 5856 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 452:
#line 2478 "conf_parser.y" /* yacc.c:1646  */
    {

  if (conf_parser_ctx.pass != 2)
    break;

  reset_block_state();
  block_state.aftype.value = AF_INET;
  block_state.port.value = PORTNUM;
}
#line 5870 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 453:
#line 2487 "conf_parser.y" /* yacc.c:1646  */
    {
  struct MaskItem *conf = NULL;
  struct addrinfo hints, *res;

  if (conf_parser_ctx.pass != 2)
    break;

  if (!block_state.name.buf[0] ||
      !block_state.host.buf[0])
    break;

  if (!block_state.rpass.buf[0] ||
      !block_state.spass.buf[0])
    break;

  if (has_wildcards(block_state.name.buf))
    break;

  conf = conf_make(CONF_SERVER);
  conf->port = block_state.port.value;
  conf->flags = block_state.flags.value;
  conf->aftype = block_state.aftype.value;
  conf->host = xstrdup(block_state.host.buf);
  conf->name = xstrdup(block_state.name.buf);
  conf->passwd = xstrdup(block_state.rpass.buf);
  conf->spasswd = xstrdup(block_state.spass.buf);

  if (block_state.cert.buf[0])
    conf->certfp = xstrdup(block_state.cert.buf);

  dlinkMoveList(&block_state.leaf.list, &conf->leaf_list);
  dlinkMoveList(&block_state.hub.list, &conf->hub_list);

  if (block_state.bind.buf[0])
  {
    memset(&hints, 0, sizeof(hints));

    hints.ai_family   = AF_UNSPEC;
    hints.ai_socktype = SOCK_STREAM;
    hints.ai_flags    = AI_PASSIVE | AI_NUMERICHOST;

    if (getaddrinfo(block_state.bind.buf, NULL, &hints, &res))
      ilog(LOG_TYPE_IRCD, "Invalid netmask for server vhost(%s)", block_state.bind.buf);
    else
    {
      assert(res != NULL);

      memcpy(&conf->bind, res->ai_addr, res->ai_addrlen);
      conf->bind.ss.ss_family = res->ai_family;
      conf->bind.ss_len = res->ai_addrlen;
      freeaddrinfo(res);
    }
  }

  if (block_state.ca.buf[0])
  {
    int ret;

    conf->x509_store = X509_STORE_new();
    ret = X509_STORE_load_locations(conf->x509_store, block_state.ca.buf, NULL);
    if (ret != 1)
    {
      X509_STORE_free(conf->x509_store);
      conf->x509_store = NULL;

      ilog(LOG_TYPE_IRCD, "Unable to load ca_file X509 store %s, ignoring connect block", block_state.ca.buf);
      conf_free(conf);
      break;
    }
  }

  conf->ssl_profile = xstrdup(block_state.profile.buf);

  conf_add_class_to_conf(conf, block_state.class.buf);
  lookup_confhost(conf);
}
#line 5951 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 472:
#line 2574 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
}
#line 5960 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 473:
#line 2580 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.host.buf, yylval.string, sizeof(block_state.host.buf));
}
#line 5969 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 474:
#line 2586 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.bind.buf, yylval.string, sizeof(block_state.bind.buf));
}
#line 5978 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 475:
#line 2592 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if ((yyvsp[-1].string)[0] == ':')
    conf_error_report("Server passwords cannot begin with a colon");
  else if (strchr((yyvsp[-1].string), ' ') != NULL)
    conf_error_report("Server passwords cannot contain spaces");
  else
    strlcpy(block_state.spass.buf, yylval.string, sizeof(block_state.spass.buf));
}
#line 5994 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 476:
#line 2605 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass != 2)
    break;

  if ((yyvsp[-1].string)[0] == ':')
    conf_error_report("Server passwords cannot begin with a colon");
  else if (strchr((yyvsp[-1].string), ' ') != NULL)
    conf_error_report("Server passwords cannot contain spaces");
  else
    strlcpy(block_state.rpass.buf, yylval.string, sizeof(block_state.rpass.buf));
}
#line 6010 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 477:
#line 2618 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.cert.buf, yylval.string, sizeof(block_state.cert.buf));
}
#line 6019 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 478:
#line 2624 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.ca.buf, yylval.string, sizeof(block_state.ca.buf));
}
#line 6028 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 479:
#line 2630 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.profile.buf, yylval.string, sizeof(block_state.profile.buf));
}
#line 6037 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 480:
#line 2636 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.port.value = (yyvsp[-1].number);
}
#line 6046 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 481:
#line 2642 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.aftype.value = AF_INET;
}
#line 6055 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 482:
#line 2646 "conf_parser.y" /* yacc.c:1646  */
    {
#ifdef IPV6
  if (conf_parser_ctx.pass == 2)
    block_state.aftype.value = AF_INET6;
#endif
}
#line 6066 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 483:
#line 2654 "conf_parser.y" /* yacc.c:1646  */
    {
  block_state.flags.value &= CONF_FLAGS_ENCRYPTED;
}
#line 6074 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 487:
#line 2660 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_ALLOW_AUTO_CONN;
}
#line 6083 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 488:
#line 2664 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    block_state.flags.value |= CONF_FLAGS_SSL;
}
#line 6092 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 489:
#line 2670 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    if (yylval.number)
      block_state.flags.value |= CONF_FLAGS_ENCRYPTED;
    else
      block_state.flags.value &= ~CONF_FLAGS_ENCRYPTED;
  }
}
#line 6106 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 490:
#line 2681 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    dlinkAdd(xstrdup(yylval.string), make_dlink_node(), &block_state.hub.list);
}
#line 6115 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 491:
#line 2687 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    dlinkAdd(xstrdup(yylval.string), make_dlink_node(), &block_state.leaf.list);
}
#line 6124 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 492:
#line 2693 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.class.buf, yylval.string, sizeof(block_state.class.buf));
}
#line 6133 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 493:
#line 2703 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    reset_block_state();
}
#line 6142 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 494:
#line 2707 "conf_parser.y" /* yacc.c:1646  */
    {
  struct MaskItem *conf = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  if (!block_state.user.buf[0] ||
      !block_state.host.buf[0])
    break;

  conf = conf_make(CONF_KLINE);
  conf->user = xstrdup(block_state.user.buf);
  conf->host = xstrdup(block_state.host.buf);

  if (block_state.rpass.buf[0])
    conf->reason = xstrdup(block_state.rpass.buf);
  else
    conf->reason = xstrdup(CONF_NOREASON);
  add_conf_by_address(CONF_KLINE, conf);
}
#line 6167 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 500:
#line 2732 "conf_parser.y" /* yacc.c:1646  */
    {

  if (conf_parser_ctx.pass == 2)
  {
    struct split_nuh_item nuh;

    nuh.nuhmask  = yylval.string;
    nuh.nickptr  = NULL;
    nuh.userptr  = block_state.user.buf;
    nuh.hostptr  = block_state.host.buf;

    nuh.nicksize = 0;
    nuh.usersize = sizeof(block_state.user.buf);
    nuh.hostsize = sizeof(block_state.host.buf);

    split_nuh(&nuh);
  }
}
#line 6190 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 501:
#line 2752 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.rpass.buf, yylval.string, sizeof(block_state.rpass.buf));
}
#line 6199 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 502:
#line 2761 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    reset_block_state();
}
#line 6208 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 503:
#line 2765 "conf_parser.y" /* yacc.c:1646  */
    {
  struct MaskItem *conf = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  if (!block_state.addr.buf[0])
    break;

  if (parse_netmask(block_state.addr.buf, NULL, NULL) != HM_HOST)
  {
    conf = conf_make(CONF_DLINE);
    conf->host = xstrdup(block_state.addr.buf);

    if (block_state.rpass.buf[0])
      conf->reason = xstrdup(block_state.rpass.buf);
    else
      conf->reason = xstrdup(CONF_NOREASON);
    add_conf_by_address(CONF_DLINE, conf);
  }
}
#line 6234 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 509:
#line 2791 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.addr.buf, yylval.string, sizeof(block_state.addr.buf));
}
#line 6243 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 510:
#line 2797 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.rpass.buf, yylval.string, sizeof(block_state.rpass.buf));
}
#line 6252 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 516:
#line 2811 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    if (yylval.string[0] && parse_netmask(yylval.string, NULL, NULL) != HM_HOST)
    {
      struct MaskItem *conf = conf_make(CONF_EXEMPT);
      conf->host = xstrdup(yylval.string);

      add_conf_by_address(CONF_EXEMPT, conf);
    }
  }
}
#line 6269 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 517:
#line 2828 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    reset_block_state();
}
#line 6278 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 518:
#line 2832 "conf_parser.y" /* yacc.c:1646  */
    {
  struct MaskItem *conf = NULL;

  if (conf_parser_ctx.pass != 2)
    break;

  if (!block_state.name.buf[0])
    break;

  conf = conf_make(CONF_XLINE);
  conf->name = xstrdup(block_state.name.buf);

  if (block_state.rpass.buf[0])
    conf->reason = xstrdup(block_state.rpass.buf);
  else
    conf->reason = xstrdup(CONF_NOREASON);
}
#line 6300 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 524:
#line 2854 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.name.buf, yylval.string, sizeof(block_state.name.buf));
}
#line 6309 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 525:
#line 2860 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    strlcpy(block_state.rpass.buf, yylval.string, sizeof(block_state.rpass.buf));
}
#line 6318 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 592:
#line 2908 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.max_watch = (yyvsp[-1].number);
}
#line 6326 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 593:
#line 2913 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigFileEntry.cycle_on_host_change = yylval.number;
}
#line 6335 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 594:
#line 2919 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ConfigFileEntry.cloak_key1);
    ConfigFileEntry.cloak_key1 = xstrdup(yylval.string);
  }
}
#line 6347 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 595:
#line 2928 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ConfigFileEntry.cloak_key2);
    ConfigFileEntry.cloak_key2 = xstrdup(yylval.string);
  }
}
#line 6359 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 596:
#line 2937 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ConfigFileEntry.cloak_key3);
    ConfigFileEntry.cloak_key3 = xstrdup(yylval.string);
  }
}
#line 6371 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 597:
#line 2946 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigFileEntry.cloak_whois_actually = yylval.number;
}
#line 6380 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 598:
#line 2952 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigFileEntry.account_whois = yylval.number;
}
#line 6389 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 599:
#line 2958 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigFileEntry.glines = yylval.number;
}
#line 6398 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 600:
#line 2964 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigFileEntry.gline_time = (yyvsp[-1].number);
}
#line 6407 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 601:
#line 2970 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigFileEntry.gline_request_time = (yyvsp[-1].number);
}
#line 6416 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 602:
#line 2976 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.gline_min_cidr = (yyvsp[-1].number);
}
#line 6424 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 603:
#line 2981 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.gline_min_cidr6 = (yyvsp[-1].number);
}
#line 6432 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 604:
#line 2986 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ConfigFileEntry.kline_reason);
    ConfigFileEntry.kline_reason = xstrdup(yylval.string);
  }
}
#line 6444 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 605:
#line 2995 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.tkline_expire_notices = yylval.number;
}
#line 6452 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 606:
#line 3000 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.kill_chase_time_limit = (yyvsp[-1].number);
}
#line 6460 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 607:
#line 3005 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.hide_spoof_ips = yylval.number;
}
#line 6468 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 608:
#line 3010 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.ignore_bogus_ts = yylval.number;
}
#line 6476 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 609:
#line 3015 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.failed_oper_notice = yylval.number;
}
#line 6484 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 610:
#line 3020 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.anti_nick_flood = yylval.number;
}
#line 6492 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 611:
#line 3025 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.max_nick_time = (yyvsp[-1].number);
}
#line 6500 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 612:
#line 3030 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.max_nick_changes = (yyvsp[-1].number);
}
#line 6508 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 613:
#line 3035 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.max_accept = (yyvsp[-1].number);
}
#line 6516 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 614:
#line 3040 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.anti_spam_exit_message_time = (yyvsp[-1].number);
}
#line 6524 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 615:
#line 3045 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.ts_warn_delta = (yyvsp[-1].number);
}
#line 6532 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 616:
#line 3050 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigFileEntry.ts_max_delta = (yyvsp[-1].number);
}
#line 6541 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 617:
#line 3056 "conf_parser.y" /* yacc.c:1646  */
    {
  if (((yyvsp[-1].number) > 0) && conf_parser_ctx.pass == 1)
  {
    ilog(LOG_TYPE_IRCD, "You haven't read your config file properly.");
    ilog(LOG_TYPE_IRCD, "There is a line in the example conf that will kill your server if not removed.");
    ilog(LOG_TYPE_IRCD, "Consider actually reading/editing the conf file, and removing this line.");
    exit(0);
  }
}
#line 6555 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 618:
#line 3067 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.invisible_on_connect = yylval.number;
}
#line 6563 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 619:
#line 3072 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.warn_no_nline = yylval.number;
}
#line 6571 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 620:
#line 3077 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_e_disabled = yylval.number;
}
#line 6579 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 621:
#line 3082 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_o_oper_only = yylval.number;
}
#line 6587 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 622:
#line 3087 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_P_oper_only = yylval.number;
}
#line 6595 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 623:
#line 3092 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_u_oper_only = yylval.number;
}
#line 6603 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 624:
#line 3097 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_k_oper_only = 2 * yylval.number;
}
#line 6611 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 625:
#line 3100 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_k_oper_only = 1;
}
#line 6619 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 626:
#line 3105 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_i_oper_only = 2 * yylval.number;
}
#line 6627 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 627:
#line 3108 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_i_oper_only = 1;
}
#line 6635 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 628:
#line 3113 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.stats_m_oper_only = yylval.number;
}
#line 6643 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 629:
#line 3118 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.pace_wait = (yyvsp[-1].number);
}
#line 6651 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 630:
#line 3123 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.caller_id_wait = (yyvsp[-1].number);
}
#line 6659 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 631:
#line 3128 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.opers_bypass_callerid = yylval.number;
}
#line 6667 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 632:
#line 3133 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.pace_wait_simple = (yyvsp[-1].number);
}
#line 6675 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 633:
#line 3138 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.short_motd = yylval.number;
}
#line 6683 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 634:
#line 3143 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.no_oper_flood = yylval.number;
}
#line 6691 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 635:
#line 3148 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_pass_resv = yylval.number;
}
#line 6699 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 636:
#line 3153 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.dots_in_ident = (yyvsp[-1].number);
}
#line 6707 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 637:
#line 3158 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.max_targets = (yyvsp[-1].number);
}
#line 6715 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 638:
#line 3163 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2 && valid_servname(yylval.string))
  {
    MyFree(ConfigFileEntry.service_name);
    ConfigFileEntry.service_name = xstrdup(yylval.string);
  }
}
#line 6727 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 639:
#line 3172 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ConfigFileEntry.sasl_name);
    ConfigFileEntry.sasl_name = xstrdup(yylval.string);
  }
}
#line 6739 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 640:
#line 3181 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.ping_cookie = yylval.number;
}
#line 6747 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 641:
#line 3186 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.nick_collide_realhost = yylval.number;
}
#line 6755 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 642:
#line 3191 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.disable_auth = yylval.number;
}
#line 6763 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 643:
#line 3196 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.throttle_num = yylval.number;
}
#line 6771 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 644:
#line 3201 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.throttle_time = (yyvsp[-1].number);
}
#line 6779 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 645:
#line 3206 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes = 0;
}
#line 6787 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 647:
#line 3211 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.enable_extbans = yylval.number;
}
#line 6795 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 648:
#line 3216 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.enable_forwarding = yylval.number;
}
#line 6803 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 649:
#line 3221 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    if ((ConfigFileEntry.message_digest_algorithm = EVP_get_digestbyname(yylval.string)) == NULL)
    {
      ConfigFileEntry.message_digest_algorithm = EVP_sha1();
      conf_error_report("Ignoring general::ssl_message_digest_algorithm -- unknown message digest algorithm");
    }
  }
}
#line 6818 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 652:
#line 3234 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_NOCTCP;
}
#line 6826 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 653:
#line 3238 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_DEAF;
}
#line 6834 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 654:
#line 3242 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_HIDECHANNELS;
}
#line 6842 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 655:
#line 3246 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_OPERWALL;
}
#line 6850 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 656:
#line 3250 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_SERVNOTICE;
}
#line 6858 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 657:
#line 3254 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_INVISIBLE;
}
#line 6866 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 658:
#line 3258 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_WALLOP;
}
#line 6874 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 659:
#line 3262 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_SOFTCALLERID;
}
#line 6882 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 660:
#line 3266 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_CALLERID;
}
#line 6890 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 661:
#line 3270 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_LOCOPS;
}
#line 6898 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 662:
#line 3274 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_REGONLY;
}
#line 6906 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 663:
#line 3278 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_umodes |= UMODE_SPY;
}
#line 6914 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 664:
#line 3283 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local = ConfigFileEntry.oper_snomasks.remote = 0;
}
#line 6922 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 668:
#line 3290 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.remote |= sno_bots.flag;
}
#line 6930 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 669:
#line 3294 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_bots.flag;
}
#line 6938 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 670:
#line 3298 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.remote |= sno_cconn.flag;
}
#line 6946 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 671:
#line 3302 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_cconn.flag;
}
#line 6954 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 672:
#line 3306 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_debug.flag;
}
#line 6962 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 673:
#line 3310 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_nchange.flag;
}
#line 6970 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 674:
#line 3314 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_full.flag;
}
#line 6978 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 675:
#line 3318 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_skill.flag;
}
#line 6986 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 676:
#line 3322 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_rej.flag;
}
#line 6994 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 677:
#line 3326 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_unauth.flag;
}
#line 7002 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 678:
#line 3330 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_spy.flag;
}
#line 7010 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 679:
#line 3334 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.remote |= sno_link.flag;
}
#line 7018 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 680:
#line 3338 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_snomasks.local |= sno_link.flag;
}
#line 7026 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 681:
#line 3343 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes = 0;
}
#line 7034 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 685:
#line 3349 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_NOCTCP;
}
#line 7042 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 686:
#line 3353 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_DEAF;
}
#line 7050 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 687:
#line 3357 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_HIDECHANNELS;
}
#line 7058 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 688:
#line 3361 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_OPERWALL;
}
#line 7066 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 689:
#line 3365 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_SERVNOTICE;
}
#line 7074 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 690:
#line 3369 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_INVISIBLE;
}
#line 7082 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 691:
#line 3373 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_WALLOP;
}
#line 7090 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 692:
#line 3377 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_SOFTCALLERID;
}
#line 7098 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 693:
#line 3381 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_CALLERID;
}
#line 7106 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 694:
#line 3385 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_LOCOPS;
}
#line 7114 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 695:
#line 3389 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_REGONLY;
}
#line 7122 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 696:
#line 3393 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.oper_only_umodes |= UMODE_SPY;
}
#line 7130 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 697:
#line 3398 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ConfigFileEntry.disable_chmodes);
    ConfigFileEntry.disable_chmodes = xstrdup(yylval.string);
  }
}
#line 7142 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 698:
#line 3407 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.use_target_change = yylval.number;
}
#line 7150 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 699:
#line 3412 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.min_nonwildcard = (yyvsp[-1].number);
}
#line 7158 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 700:
#line 3417 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.min_nonwildcard_simple = (yyvsp[-1].number);
}
#line 7166 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 701:
#line 3422 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigFileEntry.default_floodcount = (yyvsp[-1].number);
}
#line 7174 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 720:
#line 3446 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.disable_fake_channels = yylval.number;
}
#line 7182 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 721:
#line 3451 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.knock_delay = (yyvsp[-1].number);
}
#line 7190 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 722:
#line 3456 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.knock_delay_channel = (yyvsp[-1].number);
}
#line 7198 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 723:
#line 3461 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.max_chans_per_user = (yyvsp[-1].number);
}
#line 7206 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 724:
#line 3466 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.max_chans_per_oper = (yyvsp[-1].number);
}
#line 7214 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 725:
#line 3471 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.max_bans = (yyvsp[-1].number);
}
#line 7222 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 726:
#line 3476 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.default_split_user_count = (yyvsp[-1].number);
}
#line 7230 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 727:
#line 3481 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.default_split_server_count = (yyvsp[-1].number);
}
#line 7238 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 728:
#line 3486 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.no_create_on_split = yylval.number;
}
#line 7246 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 729:
#line 3491 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.no_join_on_split = yylval.number;
}
#line 7254 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 730:
#line 3496 "conf_parser.y" /* yacc.c:1646  */
    {
  GlobalSetOptions.joinfloodcount = yylval.number;
}
#line 7262 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 731:
#line 3501 "conf_parser.y" /* yacc.c:1646  */
    {
  GlobalSetOptions.joinfloodtime = (yyvsp[-1].number);
}
#line 7270 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 732:
#line 3506 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.quiet_on_ban = yylval.number;
}
#line 7278 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 733:
#line 3511 "conf_parser.y" /* yacc.c:1646  */
    {
  ConfigChannel.invite_throttle = (yyvsp[-1].number);
}
#line 7286 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 746:
#line 3531 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigServerHide.flatten_links = yylval.number;
}
#line 7295 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 747:
#line 3537 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigServerHide.disable_remote_commands = yylval.number;
}
#line 7304 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 748:
#line 3543 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigServerHide.hide_servers = yylval.number;
}
#line 7313 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 749:
#line 3549 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigServerHide.hide_services = yylval.number;
}
#line 7322 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 750:
#line 3555 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    MyFree(ConfigServerHide.hidden_name);
    ConfigServerHide.hidden_name = xstrdup(yylval.string);
  }
}
#line 7334 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 751:
#line 3564 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
  {
    if (((yyvsp[-1].number) > 0) && ConfigServerHide.links_disabled == 1)
    {
      eventAddIsh("write_links_file", write_links_file, NULL, (yyvsp[-1].number));
      ConfigServerHide.links_disabled = 0;
    }

    ConfigServerHide.links_delay = (yyvsp[-1].number);
  }
}
#line 7351 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 752:
#line 3578 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigServerHide.hidden = yylval.number;
}
#line 7360 "conf_parser.c" /* yacc.c:1646  */
    break;

  case 753:
#line 3584 "conf_parser.y" /* yacc.c:1646  */
    {
  if (conf_parser_ctx.pass == 2)
    ConfigServerHide.hide_server_ips = yylval.number;
}
#line 7369 "conf_parser.c" /* yacc.c:1646  */
    break;


#line 7373 "conf_parser.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
